************************************************************************************************
************************************************************************************************
* Replication Materials for “Citizen response to local service provision: Emerging democratic accountability in decentralized West Africa?"
* Author: Martha Wilfahrt
* Journal: Electoral Studies, 2022
************************************************************************************************
************************************************************************************************
cd "~/Wilfahrt_Electoral Studies_2022_Replication Data/Data"

* Round 6
use "Afrobarometer_Rd6_Base.dta", clear

label define YN_Label 0 "No" 1 "Yes"
label define Freq_4 0 "Never" 1 "Only Once" 2 "A few times" 3 "Often"
label define Approval 1 "Strongly disapprove" 2 "Disapprove" 3 "Neither" 4 "Approve" 5 "Strongly approve"
label define Approval2 0 "Not at all" 1 "Just a little" 2 "Somewhat" 3 "A lot"
label define Approval3 1 "Strongly disapprove" 2 "Disapprove" 3 "Approve" 4 "Strongly approve"
 
gen Rural = 0
replace Rural = 1 if URBRUR == 2

rename Q59A Deputy_Listens
replace Deputy_Listens = . if Deputy_Listens == 1 | Deputy_Listens == 6
replace Deputy_Listens = Deputy_Listens-2
rename Q59B Councillor_Listens
replace Councillor_Listens = . if Councillor_Listens == 1 | Councillor_Listens == 6
replace Councillor_Listens = Councillor_Listens-2

label values Deputy_Listens Freq_4
label values Councillor_Listens Freq_4

rename Q68A Performance_President
replace Performance_President = . if Performance_President == 1 | Performance_President == 6
replace Performance_President = Performance_President-1
rename Q68B Performance_Assembly
replace Performance_Assembly = . if Performance_Assembly == 1 | Performance_Assembly == 6
replace Performance_Assembly = Performance_Assembly-1
rename Q68C Performance_CR
replace Performance_CR = . if Performance_CR == 1 | Performance_CR == 6
replace Performance_CR = Performance_CR-1

label values Performance_President Approval3
label values Performance_Assembly Approval3
label values Performance_CR Approval3

rename Q1 Age
replace Age = . if Age == 999
gen Ethnie = ""
replace Ethnie = "wolof" if Q87 == 2
replace Ethnie = "peulh" if Q87 == 3
replace Ethnie = "serer" if Q87 == 4
replace Ethnie = "mandingue" if Q87 == 5
replace Ethnie = "mandingue" if Q87OTHER == 7
replace Ethnie = "soninke" if Q87 == 6
replace Ethnie = "soninke" if Q87OTHER == 12
replace Ethnie = "diola" if Q87 == 7
replace Ethnie = "manjack" if Q87 == 8
replace Ethnie = "senegalese" if Q87 == 12
replace Ethnie = "balante" if Q87OTHER == 2
replace Ethnie = "bassari" if Q87OTHER == 3
replace Ethnie = "bedick" if Q87OTHER == 4
replace Ethnie = "bedick" if Q87OTHER == 5
replace Ethnie = "bedick" if Q87OTHER == 6
replace Ethnie = "konyagi" if Q87OTHER == 8
replace Ethnie = "mankagne" if Q87OTHER == 9
replace Ethnie = "balante" if Q87 == 11
replace Ethnie = "maure" if Q87 == 11
replace Ethnie = "maure" if Q87OTHER == 11

rename Q8A Manque_Food
replace Manque_Food = . if Manque_Food == 7
replace Manque_Food = Manque_Food-2
rename Q8B Manque_Eau
replace Manque_Eau = . if Manque_Eau == 7
replace Manque_Eau = Manque_Eau-2
rename Q8C Manque_Medical
replace Manque_Medical = . if Manque_Medical == 7
replace Manque_Medical = Manque_Medical-2
rename Q8D Manque_Huile
replace Manque_Huile = . if Manque_Huile == 7
replace Manque_Huile = Manque_Huile-2
rename Q8E Manque_Argent
replace Manque_Argent = . if Manque_Argent == 7
replace Manque_Argent = Manque_Argent-2

rename Q97 Education
replace Education = . if Education == -1 | Education == 998 | Education == 99
replace Education = Education-2
gen Education_Category = 0
replace Education_Category = 1 if Education == 4 | Education == 5
replace Education_Category = 2 if Education == 6 | Education == 7
replace Education_Category = 3 if Education > 7
label define EducCat 0 "No Formal Education" 1 "Some or Completed Primary" 2 "Some or completed secondary" 3 "Higher education"
label values Education_Category EducCat

gen Female = 0
replace Female = 1 if Q101 == 3 

rename Q4B Econ_Actuelle_Propre
replace Econ_Actuelle_Propre = . if Econ_Actuelle_Propre == 1 | Econ_Actuelle_Propre == 7
replace Econ_Actuelle_Propre = Econ_Actuelle_Propre-1

gen Round6 = .
replace Round6 = 1
gen T2 = .
replace T2 = 1

drop if URBRUR == 1

rename Q52A Confiance_President
replace Confiance_President = . if Confiance_President == 6
replace Confiance_President = Confiance_President-2
rename Q52B Confiance_Assembly
replace Confiance_Assembly = . if Confiance_Assembly == 1 | Confiance_Assembly == 6 
replace Confiance_Assembly = Confiance_Assembly-2
rename Q52E Confiance_CR
replace Confiance_CR = . if Confiance_CR == 1 | Confiance_CR == 6 
replace Confiance_CR = Confiance_CR-2
rename Q52F Confiance_RulingParty
replace Confiance_RulingParty = . if Confiance_RulingParty == 6 
replace Confiance_RulingParty = Confiance_RulingParty-2

label values Confiance_President Approval2
label values Confiance_Assembly Approval2
label values Confiance_CR Approval2
label values Confiance_RulingParty Approval2

decode Q90BOTHER, gen(PartyID_Other)

gen Party_Id = ""
replace Party_Id = "pds" if Q90B == 2
replace Party_Id = "ps" if Q90B == 3
replace Party_Id = "afp" if Q90B == 4
replace Party_Id = "apr" if Q90B == 5
replace Party_Id = "apr" if PartyID_Other ==  "APR"
replace Party_Id = "rewmi" if Q90B == 6
replace Party_Id = "urd" if Q90B == 7
replace Party_Id = "fsdbj" if Q90B == 8
replace Party_Id = "pit" if Q90B == 9
replace Party_Id = "ld/mpt" if Q90B == 12
replace Party_Id = "bokk guis guis" if PartyID_Other ==  "BOOK GUIS GUIS"  | PartyID_Other ==  "BOKKU GUISS GUISS" | PartyID_Other == "BOK GUIS GUIS"
replace Party_Id = "mcs" if PartyID_Other ==  "ABDOULAYE BALDE" | PartyID_Other == "MCS/ABDOULAYE BALDE" | PartyID_Other == "MCS ABDOULAYE BALDE" | PartyID_Other == "MCS (ABDOULAYE BALDE)"
replace Party_Id = "ajpads" if PartyID_Other ==  "AJPADS AUTHENTIQUE"
replace Party_Id = "mrds" if PartyID_Other ==  "MRDS"
replace Party_Id = "mrds" if PartyID_Other ==  "CHEIKH TIDIANE GADIO" | PartyID_Other == "MPCL MOUVEMENT POLITIQUE JOT JOTNA"
replace Party_Id = "rsd/tds" if PartyID_Other ==  "ROBERT SAGNA"
replace Party_Id = "partie pour la verite et le developpement" if PartyID_Other ==  "PARTI POUE LA VERITE ET LE DEVELOPPEMEN"
replace Party_Id = "ucs" if PartyID_Other ==  "UCS ( UNION CENTRISTE DU SENEGAL)"
replace Party_Id = "guem sa rew" if PartyID_Other ==  "GUEUM SA REEW"
replace Party_Id = "mps/faxass" if PartyID_Other ==  "FAXASS"
replace Party_Id = "taxawli askwan wi" if PartyID_Other ==  "TAXAW TEM ASKAN WI"
replace Party_Id = "fekke ma ci boole" if PartyID_Other ==  "FEKKE MATHIE BOOLE"
replace Party_Id = "rp" if PartyID_Other ==  "RP DE SERIGNE MAMOUR NIASS" | PartyID_Other == "RP(MAMOUNE NIASSE)"

decode Q99OTHER, gen(VoteChoice_Alt)

gen Intended_VoteChoice = ""
replace Intended_VoteChoice = "pds" if Q99 == 2
replace Intended_VoteChoice = "ps" if Q99 == 3
replace Intended_VoteChoice = "afp" if Q99 == 4
replace Intended_VoteChoice = "apr" if Q99 == 5
replace Intended_VoteChoice = "rewmi" if Q99 == 6
replace Intended_VoteChoice = "pit" if Q99 == 9
replace Intended_VoteChoice = "ld/mpt" if Q99 == 12
replace Intended_VoteChoice = "pds" if VoteChoice_Alt ==  "PDS"
replace Intended_VoteChoice = "book guis guis" if VoteChoice_Alt == "BOK GUIS GUIS" | VoteChoice_Alt == "BOKKU GUISS GUISS"
replace Intended_VoteChoice = "mrds" if VoteChoice_Alt ==  "CHEIKH TIDIANE GADIO"
replace Intended_VoteChoice = "mps/faxass" if VoteChoice_Alt ==  "FAXASS"
replace Intended_VoteChoice = "guem sa rew" if VoteChoice_Alt ==  "GUEUM SA REEW"
replace Intended_VoteChoice = "mcs" if VoteChoice_Alt ==  "ABDOULAYE BALDE" | VoteChoice_Alt == "MCS/ABDOULAYE BALDE" | VoteChoice_Alt == "MCS ABDOULAYE BALDE" | VoteChoice_Alt == "MCS (ABDOULAYE BALDE)"
replace Intended_VoteChoice = "partie pour la verite et le developpement" if VoteChoice_Alt ==  "PARTI POUE LA VERITE ET LE DEVELOPPEMEN"
replace Intended_VoteChoice = "taxawu dakar" if VoteChoice_Alt ==  "TAXAWU DAKAR (KHALIFA SALL)"

sort FID
merge FID using "Afrobarometer_Rd6_Geo Covariates.dta"
drop _merge

save "Afrobarometer_Rd6_Cleaned.dta", replace

* Round 5
use "Afrobarometer_Rd5_Base.dta", clear
 
gen Rural = 0
replace Rural = 1 if urbrur == 2

rename Q62A Deputy_Listens
replace Deputy_Listens = . if Deputy_Listens == 9 | Deputy_Listens == 998 | Deputy_Listens == -1
rename Q62B Councillor_Listens
replace Councillor_Listens = . if Councillor_Listens == 9 | Councillor_Listens == 998 | Councillor_Listens == -1

label values Deputy_Listens Freq_4
label values Councillor_Listens Freq_4

rename Q71A Performance_President
replace Performance_President = . if Performance_President == 9 | Performance_President == 998 | Performance_President == -1
rename Q71B Performance_Assembly
replace Performance_Assembly = . if Performance_Assembly == 9 | Performance_Assembly == 998 | Performance_Assembly == -1
rename Q71C Performance_CR
replace Performance_CR = . if Performance_CR == 9 | Performance_CR == 998 | Performance_CR == -1

label values Performance_President Approval3
label values Performance_Assembly Approval3
label values Performance_CR Approval3

rename Q1 Age
replace Age = . if Age == 999
gen Ethnie = ""
replace Ethnie = "wolof" if Q84 == 660
replace Ethnie = "peulh" if Q84 == 661
replace Ethnie = "peulh" if Q84OTHER == "BADIARANKA"
replace Ethnie = "peulh" if Q84OTHER == "TOURKA"
replace Ethnie = "serer" if Q84 == 662
replace Ethnie = "mandingue" if Q84 == 663
replace Ethnie = "mandingue" if Q84OTHER == "DIAHANKE"
replace Ethnie = "mandingue" if Q84OTHER == "SOCE"
replace Ethnie = "soninke" if Q84OTHER == "SARAKHOULE"
replace Ethnie = "soninke" if Q84 == 664
replace Ethnie = "diola" if Q84 == 665
replace Ethnie = "manjack" if Q84 == 666
replace Ethnie = "mancagne" if Q84OTHER == "MANKAGNE"
replace Ethnie = "senegalese" if Q84 == 9990
replace Ethnie = "balante" if Q84OTHER == "BALANTE"
replace Ethnie = "bassari" if Q84OTHER == "BASSARI"
replace Ethnie = "baynouk" if Q84OTHER == "BAYNOUK"
replace Ethnie = "balante" if Q84OTHER == "BALANTE"
replace Ethnie = "maure" if Q84OTHER == "MAURE"

rename Q8A Manque_Food
replace Manque_Food = . if Manque_Food == 9 | Manque_Food == 998 | Manque_Food == -1
rename Q8B Manque_Eau
replace Manque_Eau = . if Manque_Eau == 9 | Manque_Eau == 998 | Manque_Eau == -1
rename Q8C Manque_Medical
replace Manque_Medical = . if Manque_Medical == 9 | Manque_Medical == 998 | Manque_Medical == -1
rename Q8D Manque_Huile
replace Manque_Huile = . if Manque_Huile == 9 | Manque_Huile == 998 | Manque_Huile == -1
rename Q8E Manque_Argent
replace Manque_Argent = . if Manque_Argent == 9 | Manque_Argent == 998 | Manque_Argent == -1

rename Q97 Education
replace Education = . if Education == -1 | Education == 998 | Education == 99
gen Education_Category = 0
replace Education_Category = 1 if Education == 2 | Education == 3
replace Education_Category = 2 if Education == 4 | Education == 5
replace Education_Category = 3 if Education > 5
label values Education_Category EducCat

gen Female = 0
replace Female = 1 if Q101 == 2 

rename Q3B Econ_Actuelle_Propre
replace Econ_Actuelle_Propre = . if Econ_Actuelle_Propre == -1 | Econ_Actuelle_Propre == 998 | Econ_Actuelle_Propre == 9

gen Round5 = .
replace Round5 = 1
gen T2 = .
replace T2 = 1

drop if urbrur == 1

rename Q59A Confiance_President
replace Confiance_President = . if Confiance_President == 9 | Confiance_President == 998 | Confiance_President == -1
rename Q59B Confiance_Assembly
replace Confiance_Assembly = . if Confiance_Assembly == 9 | Confiance_Assembly == 998 | Confiance_Assembly == -1
rename Q59E Confiance_CR
replace Confiance_CR = . if Confiance_CR == 9 | Confiance_CR == 998 | Confiance_CR == -1
rename Q59F Confiance_RulingParty
replace Confiance_RulingParty = . if Confiance_RulingParty == 9 | Confiance_RulingParty == 998 | Confiance_RulingParty == -1

label values Confiance_President Approval2
label values Confiance_Assembly Approval2
label values Confiance_CR Approval2
label values Confiance_RulingParty Approval2

gen Party_Id = ""
replace Party_Id = "bss" if Q89B == 672
replace Party_Id = "bss" if Q89B == 671
replace Party_Id = "pds" if Q89B == 660
replace Party_Id = "ps" if Q89B == 661
replace Party_Id = "afp" if Q89B == 662
replace Party_Id = "apr" if Q89B == 663
replace Party_Id = "rewmi" if Q89B == 664
replace Party_Id = "urd" if Q89B == 665
replace Party_Id = "fsdbj" if Q89B == 666
replace Party_Id = "pit" if Q89B == 667
replace Party_Id = "mrdp" if Q89B == 668
replace Party_Id = "jef jel" if Q89B == 669
replace Party_Id = "ld/mpt" if Q89B == 670
replace Party_Id = "bss" if Q89BOTHER ==  "BENO BOOK YAKAAR"
replace Party_Id = "pds" if Q89BOTHER ==  "ABDOULAYE BALDE"
replace Party_Id = "pds" if Q89BOTHER ==  "BALDE"
replace Party_Id = "pds" if Q89BOTHER ==  "ROBERT SAGNA"

gen Intended_VoteChoice = ""
replace Intended_VoteChoice = "PDS" if Q99 == 660
replace Intended_VoteChoice = "PS" if Q99 == 661
replace Intended_VoteChoice = "AFP" if Q99 == 662
replace Intended_VoteChoice = "APR" if Q99 == 663
replace Intended_VoteChoice = "Rewmi" if Q99 == 664
replace Intended_VoteChoice = "URD" if Q99 == 665
replace Intended_VoteChoice = "FSD/BJ" if Q99 == 666
replace Intended_VoteChoice = "PIT" if Q99 == 667
replace Intended_VoteChoice = "MRDS" if Q99 == 668
replace Intended_VoteChoice = "Jef Jel" if Q99 == 669
replace Intended_VoteChoice = "LD/MPT" if Q99 == 670
replace Intended_VoteChoice = "Book Guis Guis" if Q99 == 671
replace Intended_VoteChoice = "BBY" if Q99 == 672

sort FID
merge FID using "Afrobarometer_Rd5_Geo Covariates.dta"
drop if _merge == 1
drop _merge

save "Afrobarometer_Rd5_Cleaned.dta", replace


* Round 4
use "Afrobarometer_Rd4_Base.dta", clear

gen Rural = 0
replace Rural = 1 if urbrur == 2

rename Q54A Deputy_Listens
replace Deputy_Listens = . if Deputy_Listens == 9 | Deputy_Listens == 998 | Deputy_Listens == -1
rename Q54B Councillor_Listens
replace Councillor_Listens = . if Councillor_Listens == 9 | Councillor_Listens == 998 | Councillor_Listens == -1

label values Deputy_Listens Freq_4
label values Councillor_Listens Freq_4

rename Q70A Performance_President
replace Performance_President = . if Performance_President == 9 | Performance_President == 998 | Performance_President == -1
rename Q70B Performance_Assembly
replace Performance_Assembly = . if Performance_Assembly == 9 | Performance_Assembly == 998 | Performance_Assembly == -1
rename Q70C Performance_CR
replace Performance_CR = . if Performance_CR == 9 | Performance_CR == 998 | Performance_CR == -1

label values Performance_President Approval3
label values Performance_Assembly Approval3
label values Performance_CR Approval3

rename Q1 Age
replace Age = . if Age == 999
gen Ethnie = ""
replace Ethnie = "wolof" if Q79 == 660
replace Ethnie = "peulh" if Q79 == 661
replace Ethnie = "serer" if Q79 == 662
replace Ethnie = "mandingue" if Q79 == 663
replace Ethnie = "soninke" if Q79 == 664
replace Ethnie = "diola" if Q79 == 665
replace Ethnie = "manjack" if Q79 == 666
replace Ethnie = "senegalese" if Q79 == 9990
replace Ethnie = "balante" if Q79OTHER == "Balante"

rename Q8A Manque_Food
replace Manque_Food = . if Manque_Food == 9 | Manque_Food == 998 | Manque_Food == -1
rename Q8B Manque_Eau
replace Manque_Eau = . if Manque_Eau == 9 | Manque_Eau == 998 | Manque_Eau == -1
rename Q8C Manque_Medical
replace Manque_Medical = . if Manque_Medical == 9 | Manque_Medical == 998 | Manque_Medical == -1
rename Q8D Manque_Huile
replace Manque_Huile = . if Manque_Huile == 9 | Manque_Huile == 998 | Manque_Huile == -1
rename Q8E Manque_Argent
replace Manque_Argent = . if Manque_Argent == 9 | Manque_Argent == 998 | Manque_Argent == -1

rename Q89 Education
replace Education = . if Education == -1 | Education == 998 | Education == 99
gen Education_Category = 0
replace Education_Category = 1 if Education == 2 | Education == 3
replace Education_Category = 2 if Education == 4 | Education == 5
replace Education_Category = 3 if Education > 5
label values Education_Category EducCat

gen Female = 0
replace Female = 1 if Q101 == 2 

rename Q4B Econ_Actuelle_Propre
replace Econ_Actuelle_Propre = . if Econ_Actuelle_Propre == -1 | Econ_Actuelle_Propre == 998 | Econ_Actuelle_Propre == 9

gen Round4 = .
replace Round4 = 1
gen T2 = .
replace T2 = 0

drop if urbrur == 1

rename Q49A Confiance_President
replace Confiance_President = . if Confiance_President == 9 | Confiance_President == 998 | Confiance_President == -1
rename Q49B Confiance_Assembly
replace Confiance_Assembly = . if Confiance_Assembly == 9 | Confiance_Assembly == 998 | Confiance_Assembly == -1
rename Q49D Confiance_CR
replace Confiance_CR = . if Confiance_CR == 9 | Confiance_CR == 998 | Confiance_CR == -1
rename Q49E Confiance_RulingParty
replace Confiance_RulingParty = . if Confiance_RulingParty == 9 | Confiance_RulingParty == 998 | Confiance_RulingParty == -1

label values Confiance_President Approval2
label values Confiance_Assembly Approval2
label values Confiance_CR Approval2
label values Confiance_RulingParty Approval2

gen Party_Id = ""
replace Party_Id = "pds" if Q86 ==660
replace Party_Id = "ps" if Q86 ==661
replace Party_Id = "afp" if Q86 ==662
replace Party_Id = "urd" if Q86 ==663
replace Party_Id = "ap/pads" if Q86 ==664
replace Party_Id = "pit" if Q86 ==665
replace Party_Id = "jef jel" if Q86 ==666
replace Party_Id = "ld/mpt" if Q86 ==667
replace Party_Id = "tds" if Q86 ==668
replace Party_Id = "rp" if Q86 ==669
replace Party_Id = "rewmi" if Q86 ==670
replace Party_Id = "psa" if Q86 ==671
replace Party_Id = "fsdbj" if Q86 ==672
replace Party_Id = "pr" if Q86 ==673
replace Party_Id = "other" if Q86 ==995

gen Intended_VoteChoice = ""
replace Intended_VoteChoice = "PDS" if Q97 == 660
replace Intended_VoteChoice = "PS" if Q97 == 661
replace Intended_VoteChoice = "AFP" if Q97 == 662
replace Intended_VoteChoice = "URD" if Q97 == 663
replace Intended_VoteChoice = "AP/PADS" if Q97 == 664
replace Intended_VoteChoice = "PIT" if Q97 == 665
replace Intended_VoteChoice = "Jef Jel" if Q97 == 666
replace Intended_VoteChoice = "LD/MPT" if Q97 == 667
replace Intended_VoteChoice = "TDS" if Q97 == 668
replace Intended_VoteChoice = "RP" if Q97 == 669
replace Intended_VoteChoice = "Rewmi" if Q97 == 670
replace Intended_VoteChoice = "PSA" if Q97 == 671
replace Intended_VoteChoice = "FSD/BJ" if Q97 == 672
replace Intended_VoteChoice = "PR" if Q97 == 673

rename Q60A_SEN LG_LocalPlanning
replace LG_LocalPlanning = . if LG_LocalPlanning == 9 | LG_LocalPlanning == 998 | LG_LocalPlanning == -1
rename Q60D_SEN LG_Schools
replace LG_Schools = . if LG_Schools == 9 | LG_Schools == 998 | LG_Schools == -1
rename Q60E_SEN LG_HealthHuts
replace LG_HealthHuts = . if LG_HealthHuts == 9 | LG_HealthHuts == 998 | LG_HealthHuts == -1
rename Q60F_SEN LG_Water
replace LG_Water = . if LG_Water == 9 | LG_Water == 998 | LG_Water == -1

sort FID
merge FID using "Afrobarometer_Rd4_Geo Covariates.dta"
drop if _merge == 1
drop _merge

save "Afrobarometer_Rd4_Cleaned.dta", replace

* Round 2
use "Afrobarometer_Rd2_Base.dta", clear

gen Rural = 0
replace Rural = 1 if milieu == 2

rename q50b Deputy_Listens
replace Deputy_Listens = . if Deputy_Listens == 9 | Deputy_Listens == 998 | Deputy_Listens == -1

label values Deputy_Listens Freq_4

rename q48a Performance_President
replace Performance_President = . if Performance_President == 9 | Performance_President == 98 | Performance_President == -1
rename q48b Performance_Assembly
replace Performance_Assembly = . if Performance_Assembly == 9 | Performance_Assembly == 98 | Performance_Assembly == -1

label values Performance_President Approval3
label values Performance_Assembly Approval3

rename q80 Age
replace Age = . if Age == 999
gen Ethnie = ""
replace Ethnie = "wolof" if q83 == 220 | q83 == 162
replace Ethnie = "peulh" if q83 == 223
replace Ethnie = "serer" if q83 == 221
replace Ethnie = "mandingue" if q83 == 222
replace Ethnie = "soninke" if q83 == 225
replace Ethnie = "diola" if q83 == 223
replace Ethnie = "autres" if q83 == 995

rename q9a Manque_Food
replace Manque_Food = . if Manque_Food == 9 | Manque_Food == 98 | Manque_Food == -1
rename q9b Manque_Eau
replace Manque_Eau = . if Manque_Eau == 9 | Manque_Eau == 98 | Manque_Eau == -1
rename q9c Manque_Medical
replace Manque_Medical = . if Manque_Medical == 9 | Manque_Medical == 98 | Manque_Medical == -1
rename q9e Manque_Huile
replace Manque_Huile = . if Manque_Huile == 9 | Manque_Huile == 98 | Manque_Huile == -1
rename q9f Manque_Argent
replace Manque_Argent = . if Manque_Argent == 9 | Manque_Argent == 98 | Manque_Argent == -1

rename q84 Education
replace Education = . if Education == -1 | Education == 98 | Education == 99
gen Education_Category = 0
replace Education_Category = 1 if Education == 2 | Education == 3
replace Education_Category = 2 if Education == 4 | Education == 5
replace Education_Category = 3 if Education > 5
label values Education_Category EducCat

gen Female = 0
replace Female = 1 if q96 == 2 

rename q1b Econ_Actuelle_Propre
replace Econ_Actuelle_Propre = . if Econ_Actuelle_Propre == -1 | Econ_Actuelle_Propre == 98 | Econ_Actuelle_Propre == 9

gen Round2 = .
replace Round2 = 1
gen T2 = .
replace T2 = 0

drop if Rural == 0

rename q43a Confiance_President
replace Confiance_President = . if Confiance_President == 9 | Confiance_President == 98 | Confiance_President == -1
rename q43b Confiance_Assembly
replace Confiance_Assembly = . if Confiance_Assembly == 9 | Confiance_Assembly == 98 | Confiance_Assembly == -1
rename q43e Confiance_CR
replace Confiance_CR = . if Confiance_CR == 9 | Confiance_CR == 98 | Confiance_CR == -1
rename q43f Confiance_RulingParty
replace Confiance_RulingParty = . if Confiance_RulingParty == 9 | Confiance_RulingParty == 98 | Confiance_RulingParty == -1

label values Confiance_President Approval2
label values Confiance_Assembly Approval2
label values Confiance_CR Approval2
label values Confiance_RulingParty Approval2

gen Party_Id = ""
replace Party_Id = "pds" if q87a == 220
replace Party_Id = "ps" if q87a == 221
replace Party_Id = "afp" if q87a == 222
replace Party_Id = "urd" if q87a == 223
replace Party_Id = "cap21" if q87a == 224
replace Party_Id = "cpc" if q87a == 225

sort FID
merge FID using "Afrobarometer_Rd2_Geo Covariates.dta"
drop if _merge == 1
drop _merge

save "Afrobarometer_Rd2_Cleaned.dta", replace


***************************
* Construct merged variables
***************************
use "Afrobarometer_Rd6_Cleaned.dta", clear
append using "Afrobarometer_Rd5_Cleaned.dta"
append using "Afrobarometer_Rd4_Cleaned.dta", force
append using "Afrobarometer_Rd2_Cleaned.dta"

replace Parti_Majoritaire_14 = lower(Parti_Majoritaire_14)
replace Parti_Majoritaire_09 = lower(Parti_Majoritaire_09)
replace Parti_Majoritaire_02 = lower(Parti_Majoritaire_02)

replace Age = . if Age == -1

gen Round = .
replace Round = 2 if Round2 == 1
replace Round = 4 if Round4 == 1
replace Round = 5 if Round5 == 1
replace Round = 6 if Round6 == 1

gen co_ethnic_President = 0
replace co_ethnic_President = 1 if Ethnie == "wolof" & Round == 2
replace co_ethnic_President = 1 if Ethnie == "wolof" & Round == 4
replace co_ethnic_President = 1 if Ethnie == "peulh" & Round == 5
replace co_ethnic_President = 1 if Ethnie == "peulh" & Round == 6

gen co_partisan_CR = 0
replace co_partisan_CR = 1 if Party_Id == Parti_Majoritaire_09 
replace co_partisan_CR = 1 if Party_Id == "apr" & Parti_Majoritaire_09 == "bss"
replace co_partisan_CR = 1 if Party_Id == "apr" & Parti_Majoritaire_09 == "benno takku defarat senegal"
replace co_partisan_CR = 1 if Party_Id == Parti_Majoritaire_02 
replace co_partisan_CR = 1 if Party_Id == "pds" & Parti_Majoritaire_02 == "cap21"
replace co_partisan_CR = 1 if Party_Id == "urd" & Parti_Majoritaire_02 == "cap21"
replace co_partisan_CR = 1 if Party_Id == "aj/pads" & Parti_Majoritaire_02 == "cap21"
replace co_partisan_CR = 1 if Party_Id == "ps" & Parti_Majoritaire_02 == "cpc"
replace co_partisan_CR = 1 if Party_Id == "afp" & Parti_Majoritaire_02 == "cpc"
replace co_partisan_CR = 1 if Party_Id == "psa" & Parti_Majoritaire_02 == "cpc"
replace co_partisan_CR = 1 if Party_Id == "pit" & Parti_Majoritaire_02 == "cpc"
replace co_partisan_CR = 1 if Party_Id == "afp" & Parti_Majoritaire_14 == "alliance des forces de progres"
replace co_partisan_CR = 1 if Party_Id == "apr" & Parti_Majoritaire_14 == "apr"
replace co_partisan_CR = 1 if Party_Id == "apr" & Parti_Majoritaire_14 == "benno bokk yakaar"
replace co_partisan_CR = 1 if Party_Id == "apr" & Parti_Majoritaire_14 == "benno suxali kacot"
replace co_partisan_CR = 1 if Party_Id == "bokk guis guis" & Parti_Majoritaire_14 == "convergence democratique bokk guis guis"
replace co_partisan_CR = 1 if Party_Id == "pds" & Parti_Majoritaire_14 == "pds"
replace co_partisan_CR = 1 if Party_Id == "ps" & Parti_Majoritaire_14 == "ps"

gen co_partisan_CG = 0
replace co_partisan_CG = 1 if Party_Id == "pds" & Round != 5
replace co_partisan_CG = 1 if Party_Id == "apr" & Round == 5
replace co_partisan_CG = 1 if Party_Id == "apr" & Round == 6

replace PCR_Ethnie_02 = "serer" if PCR_Ethnie_02 == "serere"
replace PCR_Ethnie_02 = "baynouk" if PCR_Ethnie_02 == "bainouk"
replace PCR_Ethnie_09 = "serer" if PCR_Ethnie_09 == "serere"
replace PCR_Ethnie_14 = "serer" if PCR_Ethnie_14 == "serere"

gen co_ethnic_PCR = 0
replace co_ethnic_PCR = 1 if Ethnie == PCR_Ethnie_02 & Round == 2
replace co_ethnic_PCR = 1 if Ethnie == PCR_Ethnie_02 & Round == 4
replace co_ethnic_PCR = 1 if Ethnie == PCR_Ethnie_09 & Round == 5
replace co_ethnic_PCR = 1 if Ethnie == PCR_Ethnie_14 & Round == 6

gen Performance_CR_Dummy = .
replace Performance_CR_Dummy = 1 if Performance_CR == 3 | Performance_CR == 4
replace Performance_CR_Dummy = 0 if Performance_CR == 1 | Performance_CR == 2
replace Performance_CR = . if Round == 2
gen Performance_Pres_Dummy = .
replace Performance_Pres_Dummy = 1 if Performance_President == 3 | Performance_President == 4
replace Performance_Pres_Dummy = 0 if Performance_President == 1 | Performance_President == 2
gen Performance_Ass_Dummy = .
replace Performance_Ass_Dummy = 1 if Performance_Assembly == 3 | Performance_Assembly == 4
replace Performance_Ass_Dummy = 0 if Performance_Assembly == 1 | Performance_Assembly == 2

gen CR_Pooled = ""
replace CR_Pooled = CR_12 if Round == 6
replace CR_Pooled = CR_2009 if Round == 5
replace CR_Pooled = CR_2002 if Round == 4
replace CR_Pooled = CR_2002 if Round == 2

gen Lived_Poverty = (Manque_Food+Manque_Eau+Manque_Medical+Manque_Huile+Manque_Argent)/5
gen CG_Trust = (Confiance_President+ Confiance_RulingParty +Confiance_Assembly)/3

replace Intended_VoteChoice = lower(Intended_VoteChoice)

gen Party_Loyalist_CG = 0
replace Party_Loyalist_CG = 1 if Intended_VoteChoice == "pds" & Round == 4
replace Party_Loyalist_CG = 1 if Intended_VoteChoice == "apr" & Round == 5
replace Party_Loyalist_CG = 1 if Intended_VoteChoice == "bby" & Round == 5
replace Party_Loyalist_CG = 1 if Intended_VoteChoice == "apr" & Round == 6

gen Party_Loyalist_CR = 0
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "pds" & Parti_Majoritaire_02 == "cap21" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "rewmi" & Parti_Majoritaire_02 == "cap21" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "ap/pads" & Parti_Majoritaire_02 == "cap21" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "urd" & Parti_Majoritaire_02 == "cap21" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "rp" & Parti_Majoritaire_02 == "cap21" & Round == 4

replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "ld/mpt" & Parti_Majoritaire_02 == "cpc" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "afp" & Parti_Majoritaire_02 == "cpc" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "ps" & Parti_Majoritaire_02 == "cpc" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "psa" & Parti_Majoritaire_02 == "cpc" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "tds" & Parti_Majoritaire_02 == "cpc" & Round == 4
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "jef jel" & Parti_Majoritaire_02 == "cpc" & Round == 4

replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "apr" & Parti_Majoritaire_09 == "bss" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "bby" & Parti_Majoritaire_09 == "bss" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "bby" & Parti_Majoritaire_09 == "benno takku defarat senegal" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "apr" & Parti_Majoritaire_09 == "benno takku defarat senegal" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "pds" & Parti_Majoritaire_09 == "pds" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "pds" & Parti_Majoritaire_09 == "sopi" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "ps" & Parti_Majoritaire_09 == "ps" & Round == 5
replace Party_Loyalist_CR = 1 if Intended_VoteChoice == "ps" & Parti_Majoritaire_09 == "psa" & Round == 5

gen SSB_CR_Access_Baseline = (Perc_CR_Educ_Access_Base+ Perc_CR_Sante_Access_Base+ Perc_CR_PipedEau_Access_Base)/3

gen ln_Perc_Vs_New_LG_Built = log(Perc_Vs_New_LG_Built*100)
gen ln_Perc_Vs_New_LG_Built_copr = log(Perc_Vs_New_LG_Built_copr*100)
gen ln_Perc_New_Villages_CG_SSB= log(Perc_New_Villages_CG_SSB*100)
gen ln_D_SSB_avg_Baseline = log(D_SSB_avg_Baseline+0.1)

gen LG_Rd4_Evals = (LG_Schools+ LG_HealthHuts+ LG_Water+LG_LocalPlanning)/4

replace Round2 = 0 if Round2 == .
replace Round4 = 0 if Round4 == .
replace Round5 = 0 if Round5 == .
replace Round6 = 0 if Round6 == .

gen Councilor_V_Dummy = 0
replace Councilor_V_Dummy = 1 if Councilor_V > 0

save "Afrobarometer Data.dta", replace

