************************************************************************************************
************************************************************************************************
* Replication Materials for “Citizen response to local service provision: Emerging democratic accountability in decentralized West Africa?"
* Author: Martha Wilfahrt
* Journal: Electoral Studies, 2022
************************************************************************************************
************************************************************************************************

cd "~/Wilfahrt_Electoral Studies_2022_Replication Data"

use "Data/Electoral Data_Base.dta", clear

gen Perc_Votes_PCR_2 = Perc_Votes_PCR_
replace Perc_Votes_PCR_2 = 0 if PCR_Reran_ == 0
replace Perc_Votes_PCR_2 = . if PCR_Reran_ ==.
replace PCR_SwitchedParties = 0 if PCR_Reran_ == 0
replace PCR_SwitchedParties = . if PCR_Reran_ ==.
sum PCR_SwitchedParties
gen z1PCR_SwitchedParties2 = (PCR_SwitchedParties-.1949515)/.3962018
replace PCR_Switch_Maj_ = 0 if PCR_Reran_ == 0
replace PCR_Switch_Maj_ = . if PCR_Reran_ == .
sum PCR_Switch_Maj_
gen z1PCR_Switch_Maj_2 = (PCR_Switch_Maj_-.0943092)/.2922846

replace PCR_PresMajority_ = 1 if IncumbentParty_Pres_Maj_ == 1 & PCR_SwitchedParties == 0 
replace PCR_PresMajority_= . if PCR_Reran_ == .
replace PCR_PresMajority_= 0 if PCR_Reran_ == 0
sum PCR_PresMajority_
gen z1PCR_PresMajority_2 = (PCR_PresMajority_-.3938115)/.488643 

gen PCR_Switched_AwayPresMaj = 0
replace PCR_Switched_AwayPresMaj = 1 if IncumbentParty_Pres_Maj_ == 1 & PCR_SwitchedParties == 1
replace PCR_Switched_AwayPresMaj = . if PCR_Reran_ == .
gen z1PCR_Switched_AwayPresMaj = (PCR_Switched_AwayPresMaj-.1164996)/.3208518 
 
sort  Vote_BureauID TimePeriod
by  Vote_BureauID : gen PCR_PresMajority_lag = IncumbentParty_Pres_Maj_[_n-1]
by  Vote_BureauID : gen PCR_APR_lag = IncumbentRanwithAPR_[_n-1]
replace PCR_PresMajority_lag = 0 if Round == 4 & TimePeriod == 0
replace PCR_PresMajority_lag = . if Round == 4 & TimePeriod == 2
replace PCR_PresMajority_lag = 0 if Round == 5 & TimePeriod == 1
replace PCR_PresMajority_lag = . if Round == 5 & TimePeriod == 0
replace PCR_PresMajority_lag = 0 if Round == 6 & TimePeriod == 1
replace PCR_PresMajority_lag = . if Round == 6 & TimePeriod == 0

replace PCR_PresMajority_lag = PCR_APR_lag if Round == 5
replace PCR_PresMajority_lag = PCR_APR_lag if Round == 6

gen PresMaj_Switch = 0 if PCR_PresMajority_lag  == 0
replace PresMaj_Switch = 1 if PCR_Reran_Switched_ == 0 & PCR_PresMajority_lag == 1
replace PresMaj_Switch = 2 if PCR_Reran_Switched_ == 1 & PCR_PresMajority_lag == 1
replace PresMaj_Switch = 0 if Round == 4 & TimePeriod == 0
replace PresMaj_Switch = . if Round == 4 & TimePeriod == 2
replace PresMaj_Switch = 0 if Round == 5 & TimePeriod == 1
replace PresMaj_Switch = . if Round == 5 & TimePeriod == 0
replace PresMaj_Switch = 0 if Round == 6 & TimePeriod == 1
replace PresMaj_Switch = . if Round == 6 & TimePeriod == 0
replace PresMaj_Switch = . if PCR_Reran_ == .

gen Opposition_Switch = 0 if PCR_PresMajority_lag == 1 
replace Opposition_Switch = 1 if PCR_Reran_Switched_ == 0 & PCR_PresMajority_lag == 0
replace Opposition_Switch = 2 if PCR_Reran_Switched_ == 1 & PCR_PresMajority_lag == 0
replace Opposition_Switch = 3 if PCR_Reran_SwitchMaj_ == 1  & PCR_PresMajority_lag == 0
replace Opposition_Switch = 0 if Round == 4 & TimePeriod == 0
replace Opposition_Switch = . if Round == 4 & TimePeriod == 2
replace Opposition_Switch = 0 if Round == 5 & TimePeriod == 1
replace Opposition_Switch = . if Round == 5 & TimePeriod == 0
replace Opposition_Switch = 0 if Round == 6 & TimePeriod == 1
replace Opposition_Switch = . if Round == 6 & TimePeriod == 0
replace Opposition_Switch = . if PCR_Reran_ == .

gen SwitchOptions = .
replace SwitchOptions = 0 if PCR_Reran_Switched_ == 0 & PCR_PresMajority_lag == 0
replace SwitchOptions = 1 if PCR_Reran_Switched_ == 1 & PCR_Reran_SwitchMaj_ == 0 & PCR_PresMajority_lag == 0
replace SwitchOptions = 2 if PCR_Reran_Switched_ == 1 & PCR_Reran_SwitchMaj_ == 1 & PCR_PresMajority_lag == 0
replace SwitchOptions = 3 if PCR_PresMajority_lag == 1 & PCR_Reran_Switched_ == 0
replace SwitchOptions = 4 if PCR_PresMajority_lag == 1 & PCR_Reran_Switched_ == 1
replace SwitchOptions = . if PCR_Reran_ == .
replace SwitchOptions = 0 if Round == 4 & TimePeriod == 0
replace SwitchOptions = . if Round == 4 & TimePeriod == 2
replace SwitchOptions = 0 if Round == 5 & TimePeriod == 1
replace SwitchOptions = . if Round == 5 & TimePeriod == 0
replace SwitchOptions = 0 if Round == 6 & TimePeriod == 1
replace SwitchOptions = . if Round == 6 & TimePeriod == 0

sum Perc_V_LG_
gen z1Perc_V_LG_ = (Perc_V_LG_-47.0911 )/21.06543
sum Perc_V_Coproduced_
gen z1Perc_V_Coproduced_ = (Perc_V_Coproduced_- 66.05088)/22.51865
sum Avg_D_SSB_LG_
gen z1Avg_D_SSB_LG_ = (Avg_D_SSB_LG_- 2736.225)/4388.298
sum Avg_D_SSB_LG_Copr_
gen z1Avg_D_SSB_LG_Copr_ = (Avg_D_SSB_LG_Copr_- 3105.757)/5164.294
sum PercTtl_LG_Goods_
gen z1PercTtl_LG_Goods_ = (PercTtl_LG_Goods_- .7710703 )/.6889737 
sum PercTtl_LG_Copr_Goods_
gen z1PercTtl_LG_Copr_Goods_ = (PercTtl_LG_Copr_Goods_-  1.266056)/.8967425
sum PCR_Reran_
gen z1PCR_Reran_ = (PCR_Reran_- .6238368)/.4844651 
sum N_Parties_
gen z1N_Parties_ = (N_Parties_- 3.102944)/1.076512 
sum IncumbentParty_Pres_Maj_
gen z1IncumbentParty_Pres_Maj_ = (IncumbentParty_Pres_Maj_-.6727273)/.4692641
sum TimePeriod1
gen z1TimePeriod1 = (TimePeriod1-.3333333)/.4714352 
sum TimePeriod2
gen z1TimePeriod2 = (TimePeriod2-.3333333)/.4714352  

gen Avg_D_SSB_LG_km = (Avg_D_SSB_LG_/1000)*-1
sum Avg_D_SSB_LG_km
gen z1Avg_D_SSB_LG_km = (Avg_D_SSB_LG_km-  -2.736225)/4.388298

gen Avg_D_SSB_LG_Copr_km = (Avg_D_SSB_LG_Copr_/1000)*-1
sum Avg_D_SSB_LG_Copr_km
gen z1Avg_D_SSB_LG_Copr_km =(Avg_D_SSB_LG_Copr_km- -3.105757 )/5.164294 

sum Party_Ran
gen z1Party_Ran_ = (Party_Ran-.9541502)/.2091799

gen lagPCRVoteShare = Perc_Votes_PCR_[_n-1]
gen lagPartyVoteShare = Perc_Votes_Party_[_n-1]
gen lagPresMajority= IncumbentParty_Pres_Maj_[_n-1]
gen lagMandate= N_Mandat_[_n-1]
gen lagPresMaj_VoteShare = Votes_PresMaj_[_n-1]
gen lagDecoupage = Decoupage2_[_n-1]

save "Data/Electoral Data.dta", replace


use "Data/Electoral Data_Base.dta", clear

gen lagPCRVoteShare = Perc_Votes_PCR_[_n-1]
gen lagPartyVoteShare = Perc_Votes_Party_[_n-1]
gen lagPresMajority= IncumbentParty_Pres_Maj_[_n-1]
gen lagMandate= N_Mandat_[_n-1]
gen lagPresMaj_VoteShare = Votes_PresMaj_[_n-1]
gen lagDecoupage = Decoupage2_[_n-1]

collapse (max) PCR_Reran_ (mean) Perc_V_LG_ Perc_V_Coproduced_ Avg_D_SSB_LG_ Avg_D_SSB_LG_Copr_ PercTtl_LG_Goods_ PercTtl_LG_Copr_Goods_  (first) lagDecoupage lagPresMaj_VoteShare  PCR_Switch_Maj_ LagSwitch_ PCR_SwitchedParties_ Region  lagMandate N_Mandat_  lagPCRVoteShare lagPartyVoteShare lagPresMajority N_Parties_ Decoupage2_ TimePeriod1 TimePeriod2 Round, by(CR_Round TimePeriod)

encode CR_Round, gen(Unit)

encode Region, gen(Reg)

drop if Round == 4 & TimePeriod2 == 1
drop if Round == 6 & TimePeriod1 == 1

save "Data/Electoral Data_CR.dta", replace
