************************************************************************************************
************************************************************************************************
* Replication Materials for “Citizen response to local service provision: Emerging democratic accountability in decentralized West Africa?"
* Author: Martha Wilfahrt
* Journal: Electoral Studies, 2022
************************************************************************************************
************************************************************************************************

cd "/Users/Martha/Dropbox/Papers/Published/Citizen Respones_Electoral Studies/Wilfahrt_Electoral Studies_2022_Replication Data"
 
************************************************************************************************
************************ FIGURE  1 - % CHANGE IN VOTE SHARE ************************************
************************************************************************************************
use "Data/Electoral Data.dta", clear
*a. PARTY VOTE SHARE
xtset Vote_BureauID TimePeriod
* % villages in catchment with goods (e.g. at least one)
xtreg Perc_Inc_Party_Votes_ z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 z1Perc_V_LG_, fe vce(cluster Vote_BureauID)
est store Perc_V_LG_
xtreg Perc_Inc_Party_Votes_ z1Perc_V_Coproduced_  z1IncumbentParty_Pres_Maj_  z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
est store Perc_V_Coproduced_
* avg distance to goods (quality of access)
xtreg Perc_Inc_Party_Votes_ z1Avg_D_SSB_LG_km  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
est store Avg_D_SSB_LG_
xtreg Perc_Inc_Party_Votes_ z1Avg_D_SSB_LG_Copr_km  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
est store Avg_D_SSB_LG_Copr_
* Avg Ttl N goods per village in catchment (repeat delivery)
xtreg Perc_Inc_Party_Votes_ z1PercTtl_LG_Goods_  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
est store PercTtl_LG_Goods_
xtreg Perc_Inc_Party_Votes_ z1PercTtl_LG_Copr_Goods_  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
est store PercTtl_LG_Copr_Goods_

*b. MAYOR VOTE SHARE
* % villages in catchment with goods (e.g. at least one)
xtreg Perc_Votes_PCR_2    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_ z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 z1Perc_V_LG_, fe vce(cluster Vote_BureauID)
est store Perc_V_LG_PCR
xtreg Perc_Votes_PCR_2  z1Perc_V_Coproduced_    z1PCR_PresMajority_2  z1Party_Ran_  z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
est store Perc_V_Coproduced_PCR
* avg distance to goods (quality of access)
xtreg Perc_Votes_PCR_2 z1Avg_D_SSB_LG_km    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
est store Avg_D_SSB_LG_PCR
xtreg Perc_Votes_PCR_2 z1Avg_D_SSB_LG_Copr_km    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
est store Avg_D_SSB_LG_Copr_PCR
* Avg Ttl N goods per village in catchment (repeat delivery)
xtreg Perc_Votes_PCR_2 z1PercTtl_LG_Goods_    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
est store PercTtl_LG_Goods_PCR
xtreg Perc_Votes_PCR_2 z1PercTtl_LG_Copr_Goods_    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
est store PercTtl_LG_Copr_Goods_PCR

coefplot Perc_V_LG_ Avg_D_SSB_LG_ PercTtl_LG_Goods_ Perc_V_Coproduced_ Avg_D_SSB_LG_Copr_ PercTtl_LG_Copr_Goods_, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) bylabel(Party Vote Share)  || ///
	Perc_V_LG_PCR Avg_D_SSB_LG_PCR PercTtl_LG_Goods_PCR Perc_V_Coproduced_PCR Avg_D_SSB_LG_Copr_PCR PercTtl_LG_Copr_Goods_PCR, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) bylabel(Mayor Vote Share) ///
	drop(z1TimePeriod1 z1TimePeriod2 z1Party_Ran_ z1N_Parties_ Decoupage2_  z1PCR_Reran_ z1IncumbentParty_Pres_Maj_ z1PCR_PresMajority_2 _cons) xline(0, lcolor(gs12) lwidth(thin)) ///
	ytitle("") levels(95 90) ///
	legend(off) ylabel(.75 "% Villages w/ Service" 1.8 `""Avg Improvement" "D LG Services""' 3 "Avg Ttl Goods per Village"  4 "% Villages w/ Service w/ H20" 5.2 `""Avg Improvement D" "LG Services w/ H20""' 6.3 `""Avg Ttl Goods per" "Village w/ Water""', labsize(small)) ///
	byopts(title("FIGURE 1: % Change in Vote Share") subtitle("Standardized Coefficients with 90 & 95% CIs") legend(off)) scheme(s1mono)
 

************************************************************************************************
** FIGURE  2 - MARGINAL EFFECT OF 1 SD SHIFT IN GOODS DELIVERY X PARTY SWITCHING ON VOTE SHARE *
************************************************************************************************
use "Data/Electoral Data.dta", clear
xtset Vote_BureauID TimePeriod
* % villages in catchment with goods (e.g. at least one)
xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Perc_V_LG_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
margins, dydx(z1Perc_V_LG_) at(SwitchOptions=(0(1)4)) vsquish
marginsplot, recast(scatter) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rspike) lcolor(black)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) ytitle("") ylabel(-20(10)20, labsize(vsmall) angle(horizontal)) ///
	xlabel(0 "Remain Opp" 1 "Switch within Opp" 2 `""Switch to" "Pres. Maj.""' 3 "Remain Pres. Maj." 3.99 `""Switc" "to Opp""', labsize(small)) ///
	title("% Villages Goods", size(medsmall))  ///
	name("Perc_V_LG_", replace) legend(off)

xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Perc_V_Coproduced_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
margins, dydx(z1Perc_V_Coproduced_) at(SwitchOptions=(0(1)4)) vsquish
marginsplot, recast(scatter) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rspike) lcolor(black)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) ytitle("") ylabel(-20(10)20, labsize(vsmall) angle(horizontal)) ///
	xlabel(0 "Remain Opp" 1 "Switch within Opp" 2 `""Switch to" "Pres. Maj.""' 3 "Remain Pres. Maj." 3.99 `""Switc" "to Opp""', labsize(small)) ///
	title("% Villages Goods w/ H20", size(medsmall))  ///
	name("Perc_V_LG_coproduced", replace) legend(off)

xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Avg_D_SSB_LG_km IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
margins, dydx(z1Avg_D_SSB_LG_km) at(SwitchOptions=(0(1)4)) vsquish
marginsplot, recast(scatter) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rspike) lcolor(black)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) ytitle("") ylabel(-20(10)20, labsize(vsmall) angle(horizontal)) ///
	xlabel(0 "Remain Opp" 1 "Switch within Opp" 2 `""Switch to" "Pres. Maj.""' 3 "Remain Pres. Maj." 3.99 `""Switc" "to Opp""', labsize(small)) ///
	title("Avg Improvement D LG Services", size(medsmall))  ///
	name("Avg_D_SSB_LG_", replace) legend(off)

xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Avg_D_SSB_LG_Copr_km IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
margins, dydx(z1Avg_D_SSB_LG_Copr_km) at(SwitchOptions=(0(1)4)) vsquish
marginsplot, recast(scatter) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rspike) lcolor(black)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) ytitle("") ylabel(-20(10)20, labsize(vsmall) angle(horizontal)) ///
	xlabel(0 "Remain Opp" 1 "Switch within Opp" 2 `""Switch to" "Pres. Maj.""' 3 "Remain Pres. Maj." 3.99 `""Switc" "to Opp""', labsize(small)) ///
	title("Avg Improvement D LG Services w/ H20", size(medsmall))  ///
	name("Avg_D_SSB_LG_Copr_", replace) legend(off)

xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1PercTtl_LG_Goods_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
margins, dydx(z1PercTtl_LG_Goods_) at(SwitchOptions=(0(1)4)) vsquish
marginsplot, recast(scatter) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rspike) lcolor(black)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) ytitle("") ylabel(-10(5)10, labsize(vsmall) angle(horizontal)) ///
	xlabel(0 "Remain Opp" 1 "Switch within Opp" 2 `""Switch to" "Pres. Maj.""' 3 "Remain Pres. Maj." 3.99 `""Switc" "to Opp""', labsize(small)) ///
	title("Avg # LG Services", size(medsmall))  ///
	name("PercTtl_LG_Goods_", replace) legend(off)

xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1PercTtl_LG_Copr_Goods_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
margins, dydx(z1PercTtl_LG_Copr_Goods_) at(SwitchOptions=(0(1)4)) vsquish
marginsplot, recast(scatter) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rspike) lcolor(black)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) ytitle("") ylabel(-10(5)10, labsize(vsmall) angle(horizontal)) ///
	xlabel(0 "Remain Opp" 1 "Switch within Opp" 2 `""Switch to" "Pres. Maj.""' 3 "Remain Pres. Maj." 3.99 `""Switc" "to Opp""', labsize(small)) ///
	title("Avg # LG Services w/ H20", size(medsmall))  ///
	name("PercTtl_LG_Copr_Goods_", replace) legend(off)

graph combine  Perc_V_LG_ Perc_V_LG_coproduced Avg_D_SSB_LG_ Avg_D_SSB_LG_Copr_ PercTtl_LG_Goods_  PercTtl_LG_Copr_Goods_, ///
 	title("FIGURE 2: Marginal Effect of One SD Shift in Goods Delivery x Party Switching on Vote Share", size(medsmall)) ///
	subtitle("with 95% Confidence Intervals", size(small)) col(2) scheme(s1mono) 


************************************************************************************************
** FIGURE  3 - MARGINAL EFFECT OF MAYOR RERUNNING W/ INCUMBENT PARTY * SERVICE DELIVERY ********
************************************************************************************************
use "Data/Electoral Data.dta", clear

xtset Vote_BureauID TimePeriod
* % villages in catchment with goods (e.g. at least one)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Perc_V_LG_ z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
margins, at(Perc_V_LG_=(0(20)100)) dydx(PCR_ran_party)  atmeans post
marginsplot, recast(line) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rline) lpattern(dash)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium))  ytitle("") ylabel(-20(10)20 , labsize(vsmall) angle(horizontal)) ///
	addplot(hist Perc_V_LG_, freq yaxis(2)  yscale(alt)  lcolor(gs13) bcolor(gs13) width(4) fcolor(%25) lc(black%50)) ///
	title("% Villages Goods", size(medsmall)) name("Perc_V_LG_", replace) legend(off)

xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Perc_V_Coproduced_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
margins, at(Perc_V_Coproduced_=(0(20)100)) dydx(PCR_ran_party)  atmeans post
marginsplot, recast(line) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rline) lpattern(dash)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium))  ytitle("") ylabel(-20(10)20 , labsize(vsmall) angle(horizontal)) ///
	addplot(hist Perc_V_Coproduced_, freq yaxis(2)  yscale(alt)  lcolor(gs13) bcolor(gs13) width(4) fcolor(%25) lc(black%50)) ///
	title("% Villages Goods w/ H20", size(medsmall)) name("Perc_V_LG_copr", replace) legend(off)

* avg distance to goods (quality of access)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Avg_D_SSB_LG_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
margins, at(Avg_D_SSB_LG_km=(-20(5)0)) dydx(PCR_ran_party)  atmeans post
marginsplot, recast(line) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rline) lpattern(dash)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium))  ytitle("") ylabel(-20(10)10, labsize(vsmall) angle(horizontal)) ///
	addplot(hist Avg_D_SSB_LG_km if Avg_D_SSB_LG_km > -20, freq yaxis(2)  yscale(alt)   lcolor(gs13) bcolor(gs13) width(2) fcolor(%25) lc(black%50)) ///
	title("Avg Improvement D LG Services", size(medsmall)) name("Avg_D_SSB_LG_", replace) legend(off)


xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Avg_D_SSB_LG_Copr_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
margins, at(Avg_D_SSB_LG_Copr_km=(-20(5)0)) dydx(PCR_ran_party)  atmeans post
marginsplot, recast(line) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rline) lpattern(dash)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium)) xlabel(-20(5)0)  ytitle("") ylabel(-20(10)10, labsize(vsmall) angle(horizontal)) ///
	addplot(hist Avg_D_SSB_LG_Copr_km if Avg_D_SSB_LG_Copr_km > -20, freq yaxis(2)  yscale(alt) lcolor(gs13) bcolor(gs13) width(2) fcolor(%25) lc(black%50)) ///
	title("Avg Improvement D LG Services w/ H20", size(medsmall)) name("Avg_D_SSB_LG_Copr_", replace) legend(off)


* Avg Ttl N goods per village in catchment (repeat delivery)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.PercTtl_LG_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
margins, at(PercTtl_LG_Goods_=(0(1)5)) dydx(PCR_ran_party)  atmeans post
marginsplot, recast(line) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rline) lpattern(dash)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium))  ytitle("") ylabel(-20(10)20, labsize(vsmall) angle(horizontal)) ///
	addplot(hist PercTtl_LG_Goods_, freq yaxis(2) xlabel(0(1)5) yscale(alt) lcolor(gs13) bcolor(gs13) width(1) fcolor(%25) lc(black%50)) ///
	title("Avg # LG Services", size(medsmall)) name("PercTtl_LG_Goods", replace) legend(off)


xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.PercTtl_LG_Copr_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
margins, at(PercTtl_LG_Copr_Goods_=(0(1)6)) dydx(PCR_ran_party) atmeans post
marginsplot, recast(line) plotopts(mcolor(black) msymbol(square_hollow)) ciopts(recast(rline) lpattern(dash)) yline(0, lpattern(solid)) ///
	xtitle("", size(medium))  ytitle("") ylabel(-20(10)20, labsize(vsmall) angle(horizontal)) ///
	addplot(hist PercTtl_LG_Copr_Goods_, freq yaxis(2) xlabel(0(1)6) yscale(alt) lcolor(gs13) bcolor(gs13) width(1) fcolor(%25) lc(black%50)) ///
	title("Avg # LG Services w/ H20", size(medsmall)) name("PercTtl_LG_Goods_copr", replace) legend(off)
	
graph combine Perc_V_LG_ Perc_V_LG_copr Avg_D_SSB_LG_ Avg_D_SSB_LG_Copr_ PercTtl_LG_Goods  PercTtl_LG_Goods_copr, ///
        title("FIGURE 3: Marginal Effects of Mayor Rerunning with" "Incumbent Party*Service Delivery on Incumbent Party Vote Share", size(medium)) ///
        subtitle("with 95% Confidence Intervals", size(small)) col(2) scheme(s1mono) ///
        note(Note: Results of linear models with time and unit fixed effects. Standard errors clustered at polling location., size(vsmall) margin(small) alignment(baseline))

************************************************************************************************
***** FIGURE 4 - DOES RECEIVING NEW SERVICES IMPROVE EVALUATIONS OF LOCAL GOVERNMENT? **********
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

* controls
global demographic Age Lived_Poverty Education Female Econ_Actuelle_Propre
global SSB_Selection ln_D_SSB_avg_Baseline lnPop2012 co_partisan_CR co_ethnic_PCR  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global SSB_Selection_CG SSB_CR_Access_Baseline lnPop2012 co_partisan_CG co_ethnic_President  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global TimeControls T2 Decoupage Round4 Round5 Round6  

d $demographic
d $SSB_Selection
d $SSB_Selection_CG
d $TimeControls

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_LG1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG1

xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr1

coefplot (New_SSBs_LG1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) /// 
 (New_SSBs_w_Coproduced1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG_Copr1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("a. Evaluation of Local Councilor Performance")  /// 
 ytitle("Odds Ratios") yscale(range(0(1)2)) ylabel(0(1)2)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("EvalLG", replace) scheme(s1mono)
  
*b. COMPOSITE LG PERFORMANCE EVAL (RD4)
xtmixed LG_Rd4_Evals New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_LG2
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG2

xtmixed LG_Rd4_Evals New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_w_Coproduced2
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG_Copr2

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) ///
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("b. Composite Local Gov. Performance Eval (Rd 4)") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("EvalLG_Rd4", replace) scheme(s1mono)


*c. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_LG3
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG3

xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_w_Coproduced3
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG_Copr3

coefplot (New_SSBs_LG3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("c. Trust in Local Government") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("TrustLG", replace) scheme(s1mono)

*d. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_LG4
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG4

xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_w_Coproduced4
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG_Copr4

coefplot (New_SSBs_LG4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("d. Local Councillor Listens") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("CouncilorListens", replace) scheme(s1mono)
 
*COMBINE
graph combine EvalLG EvalLG_Rd4 TrustLG CouncilorListens, ///
 col(1) title("Does Receiving New Services Improve Evaluations of the Local Government? (With 95% confidence intervals", size(medlarge)) ///
 subtitle("with 95% Confidence Intervals", size(medsmall)) ysize(6) xsize(4) scheme(s1mono)
