************************************************************************************************
************************************************************************************************
* Replication Materials for “TCitizen response to local service provision: Emerging democratic accountability in decentralized West Africa?"
* Author: Martha Wilfahrt
* Journal: Electoral Studies, 2022
************************************************************************************************
************************************************************************************************

cd "/Users/Martha/Dropbox/Papers/Published/Citizen Respones_Electoral Studies/Wilfahrt_Electoral Studies_2022_Replication Data"

************************************************************************************************
* TABLE A3: ARE MAYORS WHO DELIVER MORE GOODS MORE LIKELY TO RERUN? ****************************
************************************************************************************************
use "Data/Electoral Data_CR.dta", clear

xtset Unit TimePeriod
*WHO RERUNS
xtlogit PCR_Reran_ Perc_V_LG_ lagPCRVoteShare  lagPresMajority  N_Parties_ Decoupage2_  , vce(cluster Region) or
xtlogit PCR_Reran_ Perc_V_LG_ lagPCRVoteShare  lagPresMajority N_Mandat_ N_Parties_ Decoupage2_ , vce(cluster Region) or

xtlogit PCR_Reran_ Perc_V_Coproduced_ lagPCRVoteShare  lagPresMajority  N_Parties_ Decoupage2_  , vce(cluster Region) or
xtlogit PCR_Reran_ Perc_V_Coproduced_ lagPCRVoteShare  lagPresMajority N_Mandat_ N_Parties_ Decoupage2_  , vce(cluster Region) or

xtlogit PCR_Reran_ Avg_D_SSB_LG_ lagPCRVoteShare  lagPresMajority  N_Parties_ Decoupage2_  , vce(cluster Region) or
xtlogit PCR_Reran_ Avg_D_SSB_LG_ lagPCRVoteShare  lagPresMajority N_Mandat_ N_Parties_ Decoupage2_  , vce(cluster Region) or

xtlogit PCR_Reran_ Avg_D_SSB_LG_Copr_ lagPCRVoteShare  lagPresMajority   N_Parties_ Decoupage2_  , vce(cluster Region) or
xtlogit PCR_Reran_ Avg_D_SSB_LG_Copr_ lagPCRVoteShare  lagPresMajority  N_Mandat_ N_Parties_ Decoupage2_  , vce(cluster Region) or

xtlogit PCR_Reran_ PercTtl_LG_Goods_ lagPCRVoteShare  lagPresMajority  N_Parties_ Decoupage2_  , vce(cluster Region) or
xtlogit PCR_Reran_ PercTtl_LG_Goods_ lagPCRVoteShare  lagPresMajority N_Mandat_ N_Parties_ Decoupage2_  , vce(cluster Region) or

xtlogit PCR_Reran_ PercTtl_LG_Copr_Goods_ lagPCRVoteShare  lagPresMajority   N_Parties_ Decoupage2_  , vce(cluster Region) or
xtlogit PCR_Reran_ PercTtl_LG_Copr_Goods_ lagPCRVoteShare  lagPresMajority N_Mandat_  N_Parties_ Decoupage2_  , vce(cluster Region) or

************************************************************************************************
* TABLE A4: ARE MAYORS WHO DELIVER MORE GOODS MORE LIKELY TO SWITCH PARTIES? *******************
************************************************************************************************
use "Data/Electoral Data_CR.dta", clear

xtset Unit TimePeriod
xtlogit PCR_SwitchedParties_ Perc_V_LG_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_SwitchedParties_ Perc_V_LG_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_  , vce(cluster Region) or

xtlogit PCR_SwitchedParties_ Perc_V_Coproduced_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_SwitchedParties_ Perc_V_Coproduced_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_SwitchedParties_ Avg_D_SSB_LG_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_SwitchedParties_ Avg_D_SSB_LG_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_SwitchedParties_ Avg_D_SSB_LG_Copr_ lagPCRVoteShare  lagPresMajority   N_Parties_   , vce(cluster Region) or
xtlogit PCR_SwitchedParties_ Avg_D_SSB_LG_Copr_ lagPCRVoteShare  lagPresMajority  N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_SwitchedParties_ PercTtl_LG_Goods_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_SwitchedParties_ PercTtl_LG_Goods_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_SwitchedParties_ PercTtl_LG_Copr_Goods_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_SwitchedParties_ PercTtl_LG_Copr_Goods_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

************************************************************************************************
* TABLE A5: ARE MAYORS WHO DELIVER MORE GOODS MORE LIKELY TO SWITCH TO THE PRESIDENTIAL MAJORITY? 
************************************************************************************************
use "Data/Electoral Data_CR.dta", clear

xtset Unit TimePeriod
xtlogit PCR_Switch_Maj_ Perc_V_LG_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_Switch_Maj_ Perc_V_LG_ lagPCRVoteShare  lagPresMajority  N_Mandat_ LagSwitch_ N_Parties_  , vce(cluster Region) or

xtlogit PCR_Switch_Maj_ Perc_V_Coproduced_ lagPCRVoteShare  lagPresMajority   N_Parties_   , vce(cluster Region) or
xtlogit PCR_Switch_Maj_ Perc_V_Coproduced_ lagPCRVoteShare  lagPresMajority  N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_Switch_Maj_ Avg_D_SSB_LG_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_Switch_Maj_ Avg_D_SSB_LG_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_Switch_Maj_ Avg_D_SSB_LG_Copr_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_Switch_Maj_ Avg_D_SSB_LG_Copr_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_Switch_Maj_ PercTtl_LG_Goods_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_Switch_Maj_ PercTtl_LG_Goods_ lagPCRVoteShare  lagPresMajority  N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

xtlogit PCR_Switch_Maj_ PercTtl_LG_Copr_Goods_ lagPCRVoteShare  lagPresMajority  N_Parties_   , vce(cluster Region) or
xtlogit PCR_Switch_Maj_ PercTtl_LG_Copr_Goods_ lagPCRVoteShare  lagPresMajority N_Mandat_ LagSwitch_ N_Parties_   , vce(cluster Region) or

************************************************************************************************
* TABLE A6: FULL MODEL RESULTS FOR FIGURE 1 ****************************************************
************************************************************************************************
use "Data/Electoral Data.dta", clear

xtset Vote_BureauID TimePeriod
xtreg Perc_Inc_Party_Votes_ z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 z1Perc_V_LG_, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ z1Perc_V_Coproduced_  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ z1Avg_D_SSB_LG_km  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ z1Avg_D_SSB_LG_Copr_km  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ z1PercTtl_LG_Goods_  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ z1PercTtl_LG_Copr_Goods_  z1IncumbentParty_Pres_Maj_     z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)

xtreg Perc_Votes_PCR_2  z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_ z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 z1Perc_V_LG_, fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2  z1Perc_V_Coproduced_    z1PCR_PresMajority_2  z1Party_Ran_  z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 z1Avg_D_SSB_LG_km    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 z1Avg_D_SSB_LG_Copr_km    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 z1PercTtl_LG_Goods_    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 z1PercTtl_LG_Copr_Goods_    z1PCR_PresMajority_2   z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)

************************************************************************************************
* TABLE A7: FULL MODEL RESULTS FOR FIGURE 2 ****************************************************
************************************************************************************************
use "Data/Electoral Data.dta", clear

xtset Vote_BureauID TimePeriod
xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Perc_V_LG_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Perc_V_Coproduced_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Avg_D_SSB_LG_km IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)

xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1Avg_D_SSB_LG_Copr_km IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1PercTtl_LG_Goods_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)
xtreg Perc_Votes_PCR_2 SwitchOptions##c.z1PercTtl_LG_Copr_Goods_ IncumbentParty_Pres_Maj_  z1Party_Ran_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2 , fe vce(cluster Vote_BureauID)

************************************************************************************************
* TABLE A7: FULL MODEL RESULTS FOR FIGURE 3 ****************************************************
************************************************************************************************
use "Data/Electoral Data.dta", clear
xtset Vote_BureauID TimePeriod
* % villages in catchment with goods (e.g. at least one)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Perc_V_LG_ z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Perc_V_Coproduced_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)

* avg distance to goods (quality of access)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Avg_D_SSB_LG_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.Avg_D_SSB_LG_Copr_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)

* Avg Ttl N goods per village in catchment (repeat delivery)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.PercTtl_LG_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.PercTtl_LG_Copr_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)


************************************************************************************************
* FIGURE A2: FIGURE 3 MIRRORED INTERACTIONS ****************************************************
************************************************************************************************
use "Data/Electoral Data.dta", clear

xtset Vote_BureauID TimePeriod
* % villages in catchment with goods (e.g. at least one)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Perc_V_LG_ z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar1: margins, dydx(z1Perc_V_LG_) at(PCR_ran_party =0) atmeans post
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Perc_V_LG_ z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar2: margins, dydx(z1Perc_V_LG_) at(PCR_ran_party =1) atmeans post

coefplot (mar1, label("Mayor did not run with party") mcolor(black) ciopts(lcolor(black black))) (mar2, label("Mayor ran with party") msymbol(square_hollow)  mcolor(black) ciopts(lcolor(black black))) , vert nolabel ///
	levels(95 90) yline(0, lcolor(gs12)) xtitle("") xlabel("", labsize(small)) ///
	title(IV = % Villages Goods)  scheme(s1mono) ylabel(, labsize(small) angle(horizontal)) ///
	name("Perc_V_LG_", replace)

xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Perc_V_Coproduced_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar1: margins, dydx(z1Perc_V_Coproduced_) at(PCR_ran_party =0) atmeans post
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Perc_V_Coproduced_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar2: margins, dydx(z1Perc_V_Coproduced_) at(PCR_ran_party =1) atmeans post

coefplot (mar1, label("Mayor did not run with party") mcolor(black) ciopts(lcolor(black black))) (mar2, label("Mayor ran with party") msymbol(square_hollow)  mcolor(black) ciopts(lcolor(black black))) , vert nolabel ///
	levels(95 90) yline(0, lcolor(gs12)) xtitle("") xlabel("", labsize(small)) ///
	title(IV = % Villages Goods w/ H20)  scheme(s1mono) ylabel(, labsize(small) angle(horizontal)) ///
	name("Perc_V_LG_coproduced", replace)

* avg distance to goods (quality of access)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Avg_D_SSB_LG_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar1: margins, dydx(z1Avg_D_SSB_LG_km) at(PCR_ran_party =0) atmeans post
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Avg_D_SSB_LG_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar2: margins, dydx(z1Avg_D_SSB_LG_km) at(PCR_ran_party =1) atmeans post

coefplot (mar1, label("Mayor did not run with party") mcolor(black) ciopts(lcolor(black black))) (mar2, label("Mayor ran with party") msymbol(square_hollow)  mcolor(black) ciopts(lcolor(black black))) , vert nolabel ///
	levels(95 90) yline(0, lcolor(gs12)) xtitle("") xlabel("", labsize(small)) ///
	title(IV = Avg Improvement D LG Services)  scheme(s1mono) ylabel(, labsize(small) angle(horizontal)) ///
	name("Avg_D_SSB_LG_", replace)

xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Avg_D_SSB_LG_Copr_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar1: margins, dydx(z1Avg_D_SSB_LG_Copr_km) at(PCR_ran_party =0) atmeans post
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1Avg_D_SSB_LG_Copr_km  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar2: margins, dydx(z1Avg_D_SSB_LG_Copr_km) at(PCR_ran_party =1) atmeans post

coefplot (mar1, label("Mayor did not run with party") mcolor(black) ciopts(lcolor(black black))) (mar2, label("Mayor ran with party") msymbol(square_hollow)  mcolor(black) ciopts(lcolor(black black))) , vert nolabel ///
	levels(95 90) yline(0, lcolor(gs12)) xtitle("") xlabel("", labsize(small)) ///
	title(IV = Avg Improvement D LG Services w/ H20)  scheme(s1mono) ylabel(, labsize(small) angle(horizontal)) ///
	name("Avg_D_SSB_LG_Copr", replace)

* Avg Ttl N goods per village in catchment (repeat delivery)
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1PercTtl_LG_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar1: margins, dydx(z1PercTtl_LG_Goods_) at(PCR_ran_party =0) atmeans post
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1PercTtl_LG_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar2: margins, dydx(z1PercTtl_LG_Goods_) at(PCR_ran_party =1) atmeans post

coefplot (mar1, label("Mayor did not run with party") mcolor(black) ciopts(lcolor(black black))) (mar2, label("Mayor ran with party") msymbol(square_hollow)  mcolor(black) ciopts(lcolor(black black))) , vert nolabel ///
	levels(95 90) yline(0, lcolor(gs12)) xtitle("") xlabel("", labsize(small)) ylabel(, labsize(small) angle(horizontal)) ///
	title(IV = Avg # LG Services)  scheme(s1mono) ///
	name("PercTtl_LG_Goods_", replace)

xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1PercTtl_LG_Copr_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar1: margins, dydx(z1PercTtl_LG_Copr_Goods_) at(PCR_ran_party =0) atmeans post
xtreg Perc_Inc_Party_Votes_ PCR_ran_party##c.z1PercTtl_LG_Copr_Goods_  z1IncumbentParty_Pres_Maj_ z1PCR_Reran_  z1N_Parties_ Decoupage2_ z1TimePeriod1 z1TimePeriod2, fe vce(cluster Vote_BureauID)
eststo mar2: margins, dydx(z1PercTtl_LG_Copr_Goods_) at(PCR_ran_party =1) atmeans post

coefplot (mar1, label("Mayor did not run with party") mcolor(black) ciopts(lcolor(black black))) (mar2, label("Mayor ran with party") msymbol(square_hollow)  mcolor(black) ciopts(lcolor(black black))) , vert nolabel ///
	levels(95 90) yline(0, lcolor(gs12)) xtitle("") xlabel("", labsize(small)) ///
	title(IV = Avg # LG Services w/ H20)  scheme(s1mono) ylabel(, labsize(small) angle(horizontal)) ///
	name("PercTtl_LG_Goods_copr", replace)

graph combine Perc_V_LG_ Perc_V_LG_coproduced Avg_D_SSB_LG_ Avg_D_SSB_LG_Copr PercTtl_LG_Goods_ PercTtl_LG_Goods_copr, ///
 col(2) title("FIGURE A2: Marginal Effects of One SD Improvement in Service Delivery" "with and without Incumbent Mayor on Incumbent Party Vote Share", size(medlarge)) ///
 note("Note: Results of linear models wiht time and unit fixed effects. Standard errors clustered at polling location", size(small) margin(small) alignment(baseline)) ///
 subtitle("with 95% Confidence Intervals", size(medsmall)) scheme(s1mono)

************************************************************************************************
* TABLE A9: FULL MODEL RESULTS - ATTITUDINAL DATA **********************************************
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

global demographic Age Lived_Poverty Education Female Econ_Actuelle_Propre
global SSB_Selection ln_D_SSB_avg_Baseline lnPop2012 co_partisan_CR co_ethnic_PCR  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global SSB_Selection_CG SSB_CR_Access_Baseline lnPop2012 co_partisan_CG co_ethnic_President  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global TimeControls T2 Decoupage Round4 Round5 Round6  

d $demographic
d $SSB_Selection
d $SSB_Selection_CG
d $TimeControls

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:

*b. COMPOSITE LG PERFORMANCE EVAL (RD4)
xtmixed LG_Rd4_Evals New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed LG_Rd4_Evals New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust

*c. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust

*d. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust

************************************************************************************************
* FIGURE A4: AFROBAROMETER REPLICATION WITHOUT ROUND 6 *****************************************
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

drop if Round == 6

* controls
global demographic Age Lived_Poverty Education Female Econ_Actuelle_Propre
global SSB_Selection ln_D_SSB_avg_Baseline lnPop2012 co_partisan_CR co_ethnic_PCR  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global SSB_Selection_CG SSB_CR_Access_Baseline lnPop2012 co_partisan_CG co_ethnic_President  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global TimeControls T2 Decoupage Round4 Round5 Round6  

d $demographic
d $SSB_Selection
d $SSB_Selection_CG
d $TimeControls

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_LG1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG1

xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr1

coefplot (New_SSBs_LG1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) /// 
 (New_SSBs_w_Coproduced1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG_Copr1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("a. Evaluation of Local Councilor Performance")  /// 
 ytitle("Odds Ratios") yscale(range(0(1)2)) ylabel(0(1)2)  levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("EvalLG_no6", replace) scheme(s1mono)
  
*b. COMPOSITE LG PERFORMANCE EVAL (RD4)
xtmixed LG_Rd4_Evals New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_LG2
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG2

xtmixed LG_Rd4_Evals New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_w_Coproduced2
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG_Copr2

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) ///
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("b. Composite Local Gov. Performance Eval (Rd 4)")  levels(95 90) /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("EvalLG_Rd4_no6", replace) scheme(s1mono)

 
*c. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_LG
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built

xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built_co

coefplot (New_SSBs_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built_co, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("c. Trust in Local Government", size(medlarge)) /// 
 ytitle("Coefficients") yscale(range(-.5(.25).75)) ylabel(-1(.5)1) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("TrustLG_no6", replace) scheme(s1mono)

*d. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_LG2
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built2

xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced2
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built_co2

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built_co2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("d. Local Councilor Listens", size(medlarge)) /// 
 ytitle("Coefficients") yscale(range(-.5(.25).75)) ylabel(-1(.5)1) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("Counc_Listens_no6", replace) scheme(s1mono)

graph combine EvalLG_no6 EvalLG_Rd4_no6 TrustLG_no6 Counc_Listens_no6, ///
 col(2) title("FIGURE A4: Replication of Afrobarometer Results w/o Round 6", size(medlarge)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(medsmall)) ///
 scheme(s1mono)

************************************************************************************************
* FIGURE A5: AFROBAROMETER REPLICATION WITH DOUBLE SAMPLED LGS ********************************
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

gen Double_Sample = 0
replace Double_Sample = 1 if CR_Round == "BokidiaweFive" | CR_Round == "BokidiaweFour"  | CR_Round == "Cherif LoFive" | CR_Round == "Cherif LoFour" | CR_Round == "Cherif LoSix" | CR_Round == "DodelFour" | CR_Round == "DodelFive" | CR_Round == "KafountineFour" | CR_Round == "KafountineSix" | CR_Round == "GaeFour" | CR_Round == "BokholFive" | CR_Round == "BokholSix"  | CR_Round == "Medina GounassFour" | CR_Round == "Medina GounassFive" | CR_Round == "Keur Samba GueyeFour" | CR_Round == "Keur Samba GueyeSix" | CR_Round == "Medina NdiatbeTwo" | CR_Round == "Medina NdiatbeFive" | CR_Round == "Medina NdiatbeSix"
replace Double_Sample = 1 if CR_Round == "NdagalmaFour" | CR_Round == "NdagalmaFive" | CR_Round == "NgayokhemeTwo" | CR_Round == "NgayokhemeFive" | CR_Round == "OrkadiereFour" | CR_Round == "OrkadiereSix" | CR_Round == "OudalayeFive" | CR_Round == "OudalayeFour" | CR_Round == "Paos KotoFive" | CR_Round == "Paos KotoFour" | CR_Round == "Sare Coly SaleSix" | CR_Round == "Sare Coly SaleTwo" | CR_Round == "Taiba NiasseneFive" | CR_Round == "Taiba NiasseneFour" | CR_Round == "ThiakharTwo" | CR_Round == "ThiakharFive" | CR_Round == "Tankanto EscaleFive" | CR_Round == "Tankanto EscaleFour" | CR_Round == "Tankanto EscaleSix"  | CR_Round == "BounkilingFour" | CR_Round == "InorFive" | CR_Round == "Maka YopFour" | CR_Round == "Missirah WadèneSix" | CR_Round == "SangalkamFour" | CR_Round == "Tivaoune PeulhSix" | CR_Round == "TanaffFour" | CR_Round == "BaghereFive"

drop if Double_Sample == 0

* controls
global demographic Age Lived_Poverty Education Female Econ_Actuelle_Propre
global SSB_Selection ln_D_SSB_avg_Baseline lnPop2012 co_partisan_CR co_ethnic_PCR  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global SSB_Selection_CG SSB_CR_Access_Baseline lnPop2012 co_partisan_CG co_ethnic_President  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global TimeControls T2 Decoupage Round4 Round5 Round6  

d $demographic
d $SSB_Selection
d $SSB_Selection_CG
d $TimeControls

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_LG1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG1

xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr1

coefplot (New_SSBs_LG1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) /// 
 (New_SSBs_w_Coproduced1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG_Copr1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("a. Evaluation of Local Councilor Performance") /// 
 ytitle("Odds Ratios") yscale(range(0(1)3)) ylabel(0(1)3) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("EvalLG_doubles", replace) scheme(s1mono)

*b. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_LG3
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG3

xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced3
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG_Copr3

coefplot (New_SSBs_LG3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("b. Trust in Local Government") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("TrustLG_doubles", replace) scheme(s1mono)

*c. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_LG4
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG4

xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced4
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG_Copr4

coefplot (New_SSBs_LG4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr4, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("c. Local Councillor Listens") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("CouncilorListens_doubles", replace) scheme(s1mono)

graph combine EvalLG_doubles TrustLG_doubles CouncilorListens_doubles, ///
 col(1) title("Figure A5: Afrobarometer Replication with LGs Sampled in Both Time Periods", size(medlarge)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(medsmall)) ysize(6) xsize(4) scheme(s1mono)


************************************************************************************************
* FIGURE A6: AFROBAROMETER REPLICATION - HETEROGENOUS EFFECT BY BASELINE ACCESS ****************
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
*CR Performance 
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:, or
est store New_SSBs_LG_High2
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:, or
est store New_SSBs_LG_Low2

xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:, or
est store ln_Perc_Vs_New_LG_High2
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:, or
est store ln_Perc_Vs_New_LG_Low2

xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:, or
est store New_SSBs_w_Copr_High2
xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:, or
est store New_SSBs_w_Copr_Low2

xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:, or
est store ln_Perc_Vs_New_LG_co_High2
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:, or
est store ln_Perc_Vs_New_LG_co_Low2

coefplot (New_SSBs_LG_High2, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (New_SSBs_LG_Low2, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6)) eform) ///
 (ln_Perc_Vs_New_LG_High2, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (ln_Perc_Vs_New_LG_Low2, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6)) eform) ///
 (New_SSBs_w_Copr_High2, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (New_SSBs_w_Copr_Low2, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6)) eform) ///
 (ln_Perc_Vs_New_LG_co_High2, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (ln_Perc_Vs_New_LG_co_Low2, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6)) eform), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) yline(1, lcolor(gs12) lwidth(thin)) vertical ///
 title("a. Performance of Local Councilor", size(medlarge)) /// 
 ytitle(Odds Ratios) levels(95 90) ///
 legend(label(1 "High Access") label(2 "Low Access") order(3 6)) xlabel(.65 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.35 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("LGPerformance_HighLow", replace) scheme(s1mono)

*b. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store New_SSBs_LG_High
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:
est store New_SSBs_LG_Low

xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store ln_Perc_Vs_New_LG_High
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1  || CR_Pooled:
est store ln_Perc_Vs_New_LG_Low

xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store New_SSBs_w_Copr_High
xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1  || CR_Pooled:
est store New_SSBs_w_Copr_Low

xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store ln_Perc_Vs_New_LG_co_High
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:
est store ln_Perc_Vs_New_LG_co_Low

coefplot (New_SSBs_LG_High, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (New_SSBs_LG_Low, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))) ///
 (ln_Perc_Vs_New_LG_High, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Low, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))) ///
 (New_SSBs_w_Copr_High, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (New_SSBs_w_Copr_Low, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))) ///
 (ln_Perc_Vs_New_LG_co_High, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_co_Low, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) yline(0, lcolor(gs12) lwidth(thin)) vertical ///
 title("b. Local Government Trust", size(medlarge)) /// 
 ytitle(Coefficient) levels(95 90) ///
 legend(label(1 "High Access") label(2 "Low Access") order(3 6)) xlabel(.65 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.35 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("TrustLG_HighLow", replace) scheme(s1mono)

*c. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store New_SSBs_LG_High
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:
est store New_SSBs_LG_Low

xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store ln_Perc_Vs_New_LG_High3
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1  || CR_Pooled:
est store ln_Perc_Vs_New_LG_Low3

xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store New_SSBs_w_Copr_High3
xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1  || CR_Pooled:
est store New_SSBs_w_Copr_Low3

xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls if High_BaselineAccess == 1 || CR_Pooled:
est store ln_Perc_Vs_New_LG_co_High3
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls if Low_BaselineAccess == 1 || CR_Pooled:
est store ln_Perc_Vs_New_LG_co_Low3

coefplot (New_SSBs_LG_High, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (New_SSBs_LG_Low, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))) ///
 (ln_Perc_Vs_New_LG_High3, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Low3, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))) ///
 (New_SSBs_w_Copr_High3, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (New_SSBs_w_Copr_Low3, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))) ///
 (ln_Perc_Vs_New_LG_co_High3, label(High Access) mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_co_Low3, label(Low Access) mcolor(gs6) msymbol(diamond) ciopts(lcolor(gs6 gs6))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) yline(0, lcolor(gs12) lwidth(thin)) vertical ///
 title("c. Local Councillor Listens", size(medlarge)) /// 
 ytitle(Coefficient) levels(95 90)  ///
 legend(label(1 "High Access") label(2 "Low Access") order(3 6)) xlabel(.65 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("Counc_listen_HighLow", replace) scheme(s1mono) 

*COMBINE
graph combine LGPerformance_HighLow TrustLG_HighLow Counc_listen_HighLow, ///
 col(2) title("FIGURE A6: Heterogenous Effects By Baseline Access Level", size(medlarge)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(medsmall)) ysize(6) xsize(4) scheme(s1mono)

 
************************************************************************************************
* TABLE A10: AFROBAROMETER REPLICATION - DOES HAVING A COUNCILOR IN YOUR VILLAGE MATTER? *******
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_LG Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
  
*b. COMPOSITE LG PERFORMANCE EVAL (RD4)
xtmixed LG_Rd4_Evals New_SSBs_LG Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed LG_Rd4_Evals New_SSBs_w_Coproduced Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built_copr Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:

*c. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed Confiance_CR New_SSBs_w_Coproduced Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:

*d. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed Councillor_Listens New_SSBs_w_Coproduced Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr Councilor_V_Dummy $demographic $SSB_Selection $TimeControls || CR_Pooled:


************************************************************************************************
* FIGURE A7: AFROBAROMETER REPLICATION - WOMEN ONLY ********************************************
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

keep if Female == 1

* controls
global demographic Age Lived_Poverty Education Female Econ_Actuelle_Propre
global SSB_Selection ln_D_SSB_avg_Baseline lnPop2012 co_partisan_CR co_ethnic_PCR  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global SSB_Selection_CG SSB_CR_Access_Baseline lnPop2012 co_partisan_CG co_ethnic_President  Gap_Parties_Bureau  Gap_Parties_CR ELF_Arr_02
global TimeControls T2 Decoupage Round4 Round5 Round6  

d $demographic
d $SSB_Selection
d $SSB_Selection_CG
d $TimeControls

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_LG1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG1

xtmelogit Performance_CR_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced1
xtmelogit Performance_CR_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr1

coefplot (New_SSBs_LG1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) /// 
 (New_SSBs_w_Coproduced1, mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform) (Perc_New_SSB_LG_Copr1, mcolor(black) mcolor(black) msymbol(square_hollow) ciopts(color(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("a. Evaluation of Local Councilor Performance") levels(95 90)  /// 
 ytitle("Odds Ratios") yscale(range(0(1)2)) ylabel(0(1)2)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("EvalLG_Women", replace) scheme(s1mono)
  
*b. COMPOSITE LG PERFORMANCE EVAL (RD4)
xtmixed LG_Rd4_Evals New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_LG2
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG2

xtmixed LG_Rd4_Evals New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store New_SSBs_w_Coproduced2
xtmixed LG_Rd4_Evals ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, robust
est store Perc_New_SSB_LG_Copr2

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) ///
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("b. Composite Local Gov. Performance Eval (Rd 4)") levels(95 90)  /// 
 ytitle("Coefficients") yscale(range(-.5(.25).5)) ylabel(-.5(.25).5)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("EvalLG_Rd4_Women", replace) scheme(s1mono)

 
*c. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_LG
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built

xtmixed Confiance_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced
xtmixed Confiance_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built_co

coefplot (New_SSBs_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built_co, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("c. Trust in Local Government") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).75)) ylabel(-1(.5)1, labsize(small) angle(horizontal)) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("TrustLG_Women", replace) scheme(s1mono)

*d. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_LG2
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built2

xtmixed Councillor_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced2
xtmixed Councillor_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:
est store ln_Perc_Vs_New_LG_Built_co2

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (ln_Perc_Vs_New_LG_Built_co2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("d. Local Councillor Listens") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).75)) ylabel(-1(.5)1, labsize(small) angle(horizontal)) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New  " "Goods w/ Water"', labsize(small)) ///
 name("CouncilorListens_Women", replace) scheme(s1mono)

graph combine EvalLG_Women EvalLG_Rd4_Women TrustLG_Women CouncilorListens_Women, ///
 col(1) title("Figure A7: Afrobarometer Replications - Women Only", size(medlarge)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(medsmall)) ysize(6) xsize(4) scheme(s1mono)

 
************************************************************************************************
* FIGURE A8: AFROBAROMETER REPLICATION - DOES RECEIVING CG SERVICES IMPROVE EVALUATIONS OF LG? *
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

*a. EVALUATION OF LOCAL COUNCILOR PERFORMANCE
xtmelogit Performance_CR_Dummy New_SSBs_CG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store New_SSBs_CG2    
xtmelogit Performance_CR_Dummy New_Built_CG_Total $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store New_Built_CG_Total2
xtmelogit Performance_CR_Dummy ln_Perc_New_Villages_CG_SSB $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_Villages_CG_SSB2

coefplot (New_SSBs_CG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (New_Built_CG_Total2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_Villages_CG_SSB2, mcolor(black) msymbol(square_hollow)  ciopts(lcolor(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("a. Evaluation of Local Councilor Performance")  /// 
 ytitle("Odds Ratios") yscale(range(0(.5)2.5)) ylabel(0(.5)2.5, labsize(small) angle(horizontal)) levels(95 90) ciopts(lcolor(black black)) ///
 legend(off) xlabel(.75 `""New Central Gov"  "Goods in V"' 2 `""Ttl Central Gov"  "Goods in LG"' 3.25 `""ln % Vs New"  "CG Goods"', labsize(small)) ///
 name("EvalLG_CGGoods", replace) scheme(s1mono)

*b. TRUST IN LOCAL GOVERNMENT
xtmixed Confiance_CR New_SSBs_CG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_SSBs_CG3
xtmixed Confiance_CR New_Built_CG_Total $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_Built_CG_Total3
xtmixed Confiance_CR ln_Perc_New_Villages_CG_SSB $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store Perc_New_Villages_CG_SSB3

coefplot (New_SSBs_CG3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (New_Built_CG_Total3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_Villages_CG_SSB3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("b. Trust in Local Government") /// 
 ytitle("Coefficients") yscale(range(-.5(.25).75)) ylabel(-1(.5)1.5, labsize(small) angle(horizontal)) levels(95 90) ///
 legend(off) xlabel(.75 `""New Central Gov"  "Goods in V"' 2 `""Ttl Central Gov"  "Goods in LG"' 3.25 `""ln % Vs New"  "CG Goods"', labsize(small)) ///
 name("TrustLG_CGGoods", replace) scheme(s1mono)

*c. LOCAL COUNCILOR LISTENS
xtmixed Councillor_Listens New_SSBs_CG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_SSBs_CG1
xtmixed Councillor_Listens New_Built_CG_Total $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_Built_CG_Total1
xtmixed Councillor_Listens ln_Perc_New_Villages_CG_SSB $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store Perc_New_Villages_CG_SSB1

coefplot (New_SSBs_CG1, mcolor(black) msymbol(square_hollow)) (New_Built_CG_Total1, mcolor(black) msymbol(square_hollow)) (Perc_New_Villages_CG_SSB1, mcolor(black) msymbol(square_hollow)), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("c. Local Councilor Listens") /// 
 ytitle("Coefficients") yscale(range(-1(.5)2)) ylabel(-1(.5)2, labsize(small) angle(horizontal)) levels(95 90) ciopts(lcolor(black black)) ///
 legend(off) xlabel(.75 `""New Central Gov"  "Goods in V"' 2 `""Ttl Central Gov"  "Goods in LG"' 3.25 `""ln % Vs New"  "CG Goods"', labsize(small)) ///
 name("CouncilorListens_CGGoods", replace) scheme(s1mono)

graph combine EvalLG_CGGoods TrustLG_CGGoods CouncilorListens_CGGoods, ///
 col(1) title("Figure A8: Does Receiving Central Government Services" "Improve Evaluations of the Local Government?", size(medlarge)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(medsmall)) ysize(6) xsize(4) scheme(s1mono)
 
 
************************************************************************************************
* FIGURE A9: AFROBAROMETER REPLICATION - CG REWARD FOR LG DELIVERY *****************************
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

*ASSEMBLEYMAN PERFORMANCE
xtmelogit Performance_Ass_Dummy New_SSBs_LG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store New_SSBs_LG1
xtmelogit Performance_Ass_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG1

xtmelogit Performance_Ass_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection_CG  $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced1
xtmelogit Performance_Ass_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr1

coefplot (New_SSBs_LG1, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG1, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) ///
 (New_SSBs_w_Coproduced1, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG_Copr1, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("a. Evaluation of Deputy's Performance") /// 
 ytitle("Odds Ratios") yscale(range(.5(.5)2)) ylabel(.5(.5)2, labsize(small) angle(horizontal)) levels(95 90)  ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("PerfDeputy", replace) scheme(s1mono)
 
*PRESIDENTIAL PERFORMANCE
xtmelogit Performance_Pres_Dummy New_SSBs_LG $demographic $SSB_Selection_CG  $TimeControls || CR_Pooled:, or
est store New_SSBs_LG2
xtmelogit Performance_Pres_Dummy ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG2

xtmelogit Performance_Pres_Dummy New_SSBs_w_Coproduced $demographic $SSB_Selection_CG  $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced2
xtmelogit Performance_Pres_Dummy ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr2d

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) ///
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG_Copr2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("b. Evaluation of President's Performance") /// 
 ytitle("Odds Ratios") yscale(range(.5(.5)2)) ylabel(.5(.5)2, labsize(small) angle(horizontal)) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("PerfPres", replace) scheme(s1mono)
 
*CG TRUST
xtmixed CG_Trust New_SSBs_LG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_SSBs_LG
xtmixed CG_Trust ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG

xtmixed CG_Trust New_SSBs_w_Coproduced $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced
xtmixed CG_Trust ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG_Copr

coefplot (New_SSBs_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) ///
 (New_SSBs_w_Coproduced, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("c. Trust in Central Government") /// 
 ytitle("Coefficients") yscale(range(-.5(.5).5)) ylabel(-.5(.5).5, labsize(small) angle(horizontal)) levels(95 90) ciopts(lcolor(black black)) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("TrustCG", replace) scheme(s1mono)
 
*DEPUTY LISTENS
xtmixed Deputy_Listens New_SSBs_LG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_SSBs_LG
xtmixed Deputy_Listens ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG

xtmixed Deputy_Listens New_SSBs_w_Coproduced $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store New_SSBs_w_Coproduced
xtmixed Deputy_Listens ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:
est store Perc_New_SSB_LG_Co_Access

coefplot (New_SSBs_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) /// 
 (New_SSBs_w_Coproduced, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))) (Perc_New_SSB_LG_Copr, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black))), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(0, lcolor(gs12) lwidth(thin)) ///
 title("d. Deputy Listens") /// 
 ytitle("Coefficients") yscale(range(-.5(.5).5)) ylabel(-.5(.5).5, labsize(small) angle(horizontal)) levels(95 90) ///
 legend(off) xlabel(.7 "New in V" 1.9 "ln % V New Goods" 3.1 `""New in V"  "w/ Water"' 4.3 `""ln % V New Goods  " "w/ Water"', labsize(small)) ///
 name("DeputyListens", replace) scheme(s1mono)
 
graph combine PerfDeputy PerfPres TrustCG DeputyListens, ///
 row(2) title("FIGURE A9: Do Respondents Reward the Central Gov." "for Local Service Delivery?", size(medlarge)) ///
   note(Note: Results of mixed-level logit (panels a-b) and linear models with robust standard errors (panels c-d)., size(small) margin(small) alignment(baseline)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(medium)) scheme(s1mono)


************************************************************************************************
* FIGURE A10: AFROBAROMETER REPLICATION - DOES SERVICE DELIVERY IMPACT PROSPECTIVE VOTE CHOICE? 
************************************************************************************************
use "Data/Afrobarometer Data.dta", clear

*PROSPECTIVE VOTE FOR LOCAL INCUMBENT
xtmelogit Party_Loyalist_CR New_SSBs_LG $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_LG
xtmelogit Party_Loyalist_CR ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG

xtmelogit Party_Loyalist_CR New_SSBs_w_Coproduced $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced3
xtmelogit Party_Loyalist_CR ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr

xtmelogit Party_Loyalist_CR Diff_Avg_5k_Village $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Diff_Avg_5k_Village
xtmelogit Party_Loyalist_CR Diff_Avg_CR_Village $demographic $SSB_Selection $TimeControls || CR_Pooled:, or
est store Diff_Avg_CR_Village

coefplot (New_SSBs_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) ///
 (New_SSBs_w_Coproduced3, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG_Copr, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) ///
 (Diff_Avg_5k_Village, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Diff_Avg_CR_Village, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("Would Vote for Local Incumbent Party if Elections Tomorrow", size(medlarge))  /// 
 subtitle("LGs Sampled in Both Rounds Only", size(small)) ///
 ytitle("Odds Ratios") yscale(range(0(1)4)) ylabel(0(1)4, labsize(small) angle(horizontal)) levels(95 90) ciopts(lcolor(black black)) ///
 legend(off) xlabel(.65 "New in V" 1.75 "ln % V New Goods" 2.9 `""New in V"  "w/ Water"'  4 `""ln % V New  " "Goods w/ Water"' 5.2 `""Rel. Depr." "5km"' 6.3 `""Rel." "Depr LG"', labsize(small)) ///
 name("OR_Vote_CR_Incumbent", replace) scheme(s1mono)

 *PROSPECTIVE VOTE FOR CG INCUMBENT
xtmelogit Party_Loyalist_CG New_SSBs_LG $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store New_SSBs_LG2
xtmelogit Party_Loyalist_CG ln_Perc_Vs_New_LG_Built $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG2

xtmelogit Party_Loyalist_CG New_SSBs_w_Coproduced $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store New_SSBs_w_Coproduced2
xtmelogit Party_Loyalist_CG ln_Perc_Vs_New_LG_Built_copr $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Perc_New_SSB_LG_Copr2

xtmelogit Party_Loyalist_CG Diff_Avg_5k_Village $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Diff_Avg_5k_Village2
xtmelogit Party_Loyalist_CG  Diff_Avg_CR_Village $demographic $SSB_Selection_CG $TimeControls || CR_Pooled:, or
est store Diff_Avg_CR_Village2

coefplot (New_SSBs_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) ///
 (New_SSBs_w_Coproduced2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Perc_New_SSB_LG_Copr2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) ///
 (Diff_Avg_5k_Village2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform) (Diff_Avg_CR_Village2, mcolor(black) msymbol(square_hollow) ciopts(lcolor(black black)) eform), ///
 drop(_cons $demographic $SSB_Selection_CG $TimeControls) vertical yline(1, lcolor(gs12) lwidth(thin)) ///
 title("Would Vote for National Incumbent Party if Elections Tomorrow", size(medlarge))  /// 
 ytitle("Odds Ratios") yscale(range(0(.5)2)) ylabel(0(.5)2, labsize(small) angle(horizontal)) levels(95 90) ///
 legend(off) xlabel(.65 "New in V" 1.75 "ln % V New Goods" 2.9 `""New in V"  "w/ Water"'  4 `""ln % V New  " "Goods w/ Water"' 5.2 `""Rel. Depr." "5km"' 6.3 `""Rel." "Depr LG"', labsize(small)) ///
 name("OR_Vote_CG_Incumbent", replace) scheme(s1mono)

graph combine OR_Vote_CR_Incumbent OR_Vote_CG_Incumbent, ///
 col(1) title("FIGURE A10: Does Service Delivery Correlate" "with Prospective Vote Choice?", size(medlarge)) ///
 subtitle("with 90 and 95% Confidence Intervals", size(small)) ///
   note(Note: Results of mixed-level logit models., size(small) margin(small) alignment(baseline)) ///
 ysize(5) xsize(4)  scheme(s1mono)
 

